// Copyright 2022 the V8 project authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// This file is automatically generated by `tools/dev/gen-static-roots.py`. Do
// not edit manually.

#ifndef V8_ROOTS_STATIC_ROOTS_H_
#define V8_ROOTS_STATIC_ROOTS_H_

#include "src/common/globals.h"

#if V8_STATIC_ROOTS_BOOL

#include "src/roots/roots.h"

// Disabling Wasm or Intl invalidates the contents of static-roots.h.
// TODO(olivf): To support static roots for multiple build configurations we
//              will need to generate target specific versions of this file.
static_assert(V8_ENABLE_WEBASSEMBLY);
static_assert(V8_INTL_SUPPORT);

namespace v8 {
namespace internal {

struct StaticReadOnlyRoot {
  static constexpr Tagged_t kMetaMap = 0x61;
  static constexpr Tagged_t kFixedArrayMap = 0x89;
  static constexpr Tagged_t kWeakFixedArrayMap = 0xb1;
  static constexpr Tagged_t kWeakArrayListMap = 0xd9;
  static constexpr Tagged_t kFixedCOWArrayMap = 0x101;
  static constexpr Tagged_t kDescriptorArrayMap = 0x129;
  static constexpr Tagged_t kUndefinedMap = 0x151;
  static constexpr Tagged_t kNullMap = 0x179;
  static constexpr Tagged_t kHoleMap = 0x1a1;
  static constexpr Tagged_t kCallSiteInfoMap = 0x1c9;
  static constexpr Tagged_t kEnumCacheMap = 0x1f1;
  static constexpr Tagged_t kEmptyFixedArray = 0x219;
  static constexpr Tagged_t kEmptyWeakFixedArray = 0x221;
  static constexpr Tagged_t kEmptyWeakArrayList = 0x229;
  static constexpr Tagged_t kNullValue = 0x235;
  static constexpr Tagged_t kUndefinedValue = 0x251;
  static constexpr Tagged_t kTheHoleValue = 0x26d;
  static constexpr Tagged_t kEmptyEnumCache = 0x279;
  static constexpr Tagged_t kEmptyDescriptorArray = 0x285;
  static constexpr Tagged_t kScopeInfoMap = 0x295;
  static constexpr Tagged_t kModuleInfoMap = 0x2bd;
  static constexpr Tagged_t kClosureFeedbackCellArrayMap = 0x2e5;
  static constexpr Tagged_t kFeedbackVectorMap = 0x30d;
  static constexpr Tagged_t kHeapNumberMap = 0x335;
  static constexpr Tagged_t kForeignMap = 0x35d;
  static constexpr Tagged_t kMegaDomHandlerMap = 0x385;
  static constexpr Tagged_t kBooleanMap = 0x3ad;
  static constexpr Tagged_t kUninitializedMap = 0x3d5;
  static constexpr Tagged_t kArgumentsMarkerMap = 0x3fd;
  static constexpr Tagged_t kExceptionMap = 0x425;
  static constexpr Tagged_t kTerminationExceptionMap = 0x44d;
  static constexpr Tagged_t kOptimizedOutMap = 0x475;
  static constexpr Tagged_t kStaleRegisterMap = 0x49d;
  static constexpr Tagged_t kSelfReferenceMarkerMap = 0x4c5;
  static constexpr Tagged_t kBasicBlockCountersMarkerMap = 0x4ed;
  static constexpr Tagged_t kBigIntMap = 0x515;
  static constexpr Tagged_t kSymbolMap = 0x53d;
  static constexpr Tagged_t kStringMap = 0x565;
  static constexpr Tagged_t kOneByteStringMap = 0x58d;
  static constexpr Tagged_t kConsStringMap = 0x5b5;
  static constexpr Tagged_t kConsOneByteStringMap = 0x5dd;
  static constexpr Tagged_t kSlicedStringMap = 0x605;
  static constexpr Tagged_t kSlicedOneByteStringMap = 0x62d;
  static constexpr Tagged_t kExternalStringMap = 0x655;
  static constexpr Tagged_t kExternalOneByteStringMap = 0x67d;
  static constexpr Tagged_t kUncachedExternalStringMap = 0x6a5;
  static constexpr Tagged_t kUncachedExternalOneByteStringMap = 0x6cd;
  static constexpr Tagged_t kSharedExternalStringMap = 0x6f5;
  static constexpr Tagged_t kSharedExternalOneByteStringMap = 0x71d;
  static constexpr Tagged_t kSharedUncachedExternalStringMap = 0x745;
  static constexpr Tagged_t kSharedUncachedExternalOneByteStringMap = 0x76d;
  static constexpr Tagged_t kExternalInternalizedStringMap = 0x795;
  static constexpr Tagged_t kExternalOneByteInternalizedStringMap = 0x7bd;
  static constexpr Tagged_t kUncachedExternalInternalizedStringMap = 0x7e5;
  static constexpr Tagged_t kUncachedExternalOneByteInternalizedStringMap =
      0x80d;
  static constexpr Tagged_t kInternalizedStringMap = 0x835;
  static constexpr Tagged_t kOneByteInternalizedStringMap = 0x85d;
  static constexpr Tagged_t kThinStringMap = 0x885;
  static constexpr Tagged_t kSharedStringMap = 0x8ad;
  static constexpr Tagged_t kSharedOneByteStringMap = 0x8d5;
  static constexpr Tagged_t kFixedDoubleArrayMap = 0x8fd;
  static constexpr Tagged_t kFeedbackMetadataArrayMap = 0x925;
  static constexpr Tagged_t kByteArrayMap = 0x94d;
  static constexpr Tagged_t kBytecodeArrayMap = 0x975;
  static constexpr Tagged_t kFreeSpaceMap = 0x99d;
  static constexpr Tagged_t kPropertyArrayMap = 0x9c5;
  static constexpr Tagged_t kSmallOrderedHashMapMap = 0x9ed;
  static constexpr Tagged_t kSmallOrderedHashSetMap = 0xa15;
  static constexpr Tagged_t kSmallOrderedNameDictionaryMap = 0xa3d;
  static constexpr Tagged_t kInstructionStreamMap = 0xa65;
  static constexpr Tagged_t kCellMap = 0xa8d;
  static constexpr Tagged_t kInvalidPrototypeValidityCell = 0xab5;
  static constexpr Tagged_t kGlobalPropertyCellMap = 0xabd;
  static constexpr Tagged_t kOnePointerFillerMap = 0xae5;
  static constexpr Tagged_t kTwoPointerFillerMap = 0xb0d;
  static constexpr Tagged_t kNoClosuresCellMap = 0xb35;
  static constexpr Tagged_t kOneClosureCellMap = 0xb5d;
  static constexpr Tagged_t kManyClosuresCellMap = 0xb85;
  static constexpr Tagged_t kTransitionArrayMap = 0xbad;
  static constexpr Tagged_t kHashTableMap = 0xbd5;
  static constexpr Tagged_t kOrderedNameDictionaryMap = 0xbfd;
  static constexpr Tagged_t kNameDictionaryMap = 0xc25;
  static constexpr Tagged_t kSwissNameDictionaryMap = 0xc4d;
  static constexpr Tagged_t kGlobalDictionaryMap = 0xc75;
  static constexpr Tagged_t kNumberDictionaryMap = 0xc9d;
  static constexpr Tagged_t kRegisteredSymbolTableMap = 0xcc5;
  static constexpr Tagged_t kArrayListMap = 0xced;
  static constexpr Tagged_t kAccessorInfoMap = 0xd15;
  static constexpr Tagged_t kPreparseDataMap = 0xd3d;
  static constexpr Tagged_t kSharedFunctionInfoMap = 0xd65;
  static constexpr Tagged_t kCodeMap = 0xd8d;
  static constexpr Tagged_t kTrueValue = 0xdb5;
  static constexpr Tagged_t kFalseValue = 0xdd1;
  static constexpr Tagged_t kHashSeed = 0xded;
  static constexpr Tagged_t kempty_string = 0xdfd;
  static constexpr Tagged_t klength_string = 0xe09;
  static constexpr Tagged_t kprototype_string = 0xe1d;
  static constexpr Tagged_t kname_string = 0xe35;
  static constexpr Tagged_t kenumerable_string = 0xe45;
  static constexpr Tagged_t kconfigurable_string = 0xe5d;
  static constexpr Tagged_t kvalue_string = 0xe75;
  static constexpr Tagged_t kwritable_string = 0xe89;
  static constexpr Tagged_t knot_mapped_symbol = 0xe9d;
  static constexpr Tagged_t kuninitialized_symbol = 0xead;
  static constexpr Tagged_t kmegamorphic_symbol = 0xebd;
  static constexpr Tagged_t kelements_transition_symbol = 0xecd;
  static constexpr Tagged_t kmega_dom_symbol = 0xedd;
  static constexpr Tagged_t kEmptyPropertyDictionary = 0xeed;
  static constexpr Tagged_t kEmptyOrderedPropertyDictionary = 0xf19;
  static constexpr Tagged_t kEmptySwissPropertyDictionary = 0xf3d;
  static constexpr Tagged_t kEmptyByteArray = 0xf5d;
  static constexpr Tagged_t kEmptyScopeInfo = 0xf65;
  static constexpr Tagged_t kEmptyPropertyArray = 0xf75;
  static constexpr Tagged_t kMinusZeroValue = 0xf7d;
  static constexpr Tagged_t kNanValue = 0xf89;
  static constexpr Tagged_t kHoleNanValue = 0xf95;
  static constexpr Tagged_t kInfinityValue = 0xfa1;
  static constexpr Tagged_t kMinusInfinityValue = 0xfad;
  static constexpr Tagged_t kMaxSafeInteger = 0xfb9;
  static constexpr Tagged_t kMaxUInt32 = 0xfc5;
  static constexpr Tagged_t kSmiMinValue = 0xfd1;
  static constexpr Tagged_t kSmiMaxValuePlusOne = 0xfdd;
  static constexpr Tagged_t kPromiseFulfillReactionJobTaskMap = 0xfe9;
  static constexpr Tagged_t kPromiseRejectReactionJobTaskMap = 0x1011;
  static constexpr Tagged_t kCallableTaskMap = 0x1039;
  static constexpr Tagged_t kCallbackTaskMap = 0x1061;
  static constexpr Tagged_t kPromiseResolveThenableJobTaskMap = 0x1089;
  static constexpr Tagged_t kFunctionTemplateInfoMap = 0x10b1;
  static constexpr Tagged_t kObjectTemplateInfoMap = 0x10d9;
  static constexpr Tagged_t kAccessCheckInfoMap = 0x1101;
  static constexpr Tagged_t kAccessorPairMap = 0x1129;
  static constexpr Tagged_t kAliasedArgumentsEntryMap = 0x1151;
  static constexpr Tagged_t kAllocationMementoMap = 0x1179;
  static constexpr Tagged_t kArrayBoilerplateDescriptionMap = 0x11a1;
  static constexpr Tagged_t kAsmWasmDataMap = 0x11c9;
  static constexpr Tagged_t kAsyncGeneratorRequestMap = 0x11f1;
  static constexpr Tagged_t kBreakPointMap = 0x1219;
  static constexpr Tagged_t kBreakPointInfoMap = 0x1241;
  static constexpr Tagged_t kClassPositionsMap = 0x1269;
  static constexpr Tagged_t kDebugInfoMap = 0x1291;
  static constexpr Tagged_t kErrorStackDataMap = 0x12b9;
  static constexpr Tagged_t kFunctionTemplateRareDataMap = 0x12e1;
  static constexpr Tagged_t kInterceptorInfoMap = 0x1309;
  static constexpr Tagged_t kInterpreterDataMap = 0x1331;
  static constexpr Tagged_t kModuleRequestMap = 0x1359;
  static constexpr Tagged_t kPromiseCapabilityMap = 0x1381;
  static constexpr Tagged_t kPromiseOnStackMap = 0x13a9;
  static constexpr Tagged_t kPromiseReactionMap = 0x13d1;
  static constexpr Tagged_t kPropertyDescriptorObjectMap = 0x13f9;
  static constexpr Tagged_t kPrototypeInfoMap = 0x1421;
  static constexpr Tagged_t kRegExpBoilerplateDescriptionMap = 0x1449;
  static constexpr Tagged_t kScriptMap = 0x1471;
  static constexpr Tagged_t kScriptOrModuleMap = 0x1499;
  static constexpr Tagged_t kSourceTextModuleInfoEntryMap = 0x14c1;
  static constexpr Tagged_t kStackFrameInfoMap = 0x14e9;
  static constexpr Tagged_t kTemplateObjectDescriptionMap = 0x1511;
  static constexpr Tagged_t kTuple2Map = 0x1539;
  static constexpr Tagged_t kWasmExceptionTagMap = 0x1561;
  static constexpr Tagged_t kWasmIndirectFunctionTableMap = 0x1589;
  static constexpr Tagged_t kAllocationSiteWithWeakNextMap = 0x15b1;
  static constexpr Tagged_t kAllocationSiteWithoutWeakNextMap = 0x15d9;
  static constexpr Tagged_t kLoadHandler1Map = 0x1601;
  static constexpr Tagged_t kLoadHandler2Map = 0x1629;
  static constexpr Tagged_t kLoadHandler3Map = 0x1651;
  static constexpr Tagged_t kStoreHandler0Map = 0x1679;
  static constexpr Tagged_t kStoreHandler1Map = 0x16a1;
  static constexpr Tagged_t kStoreHandler2Map = 0x16c9;
  static constexpr Tagged_t kStoreHandler3Map = 0x16f1;
  static constexpr Tagged_t kUncompiledDataWithoutPreparseDataMap = 0x1719;
  static constexpr Tagged_t kUncompiledDataWithPreparseDataMap = 0x1741;
  static constexpr Tagged_t kUncompiledDataWithoutPreparseDataWithJobMap =
      0x1769;
  static constexpr Tagged_t kUncompiledDataWithPreparseDataAndJobMap = 0x1791;
  static constexpr Tagged_t kOnHeapBasicBlockProfilerDataMap = 0x17b9;
  static constexpr Tagged_t kTurbofanBitsetTypeMap = 0x17e1;
  static constexpr Tagged_t kTurbofanUnionTypeMap = 0x1809;
  static constexpr Tagged_t kTurbofanRangeTypeMap = 0x1831;
  static constexpr Tagged_t kTurbofanHeapConstantTypeMap = 0x1859;
  static constexpr Tagged_t kTurbofanOtherNumberConstantTypeMap = 0x1881;
  static constexpr Tagged_t kTurboshaftWord32TypeMap = 0x18a9;
  static constexpr Tagged_t kTurboshaftWord32RangeTypeMap = 0x18d1;
  static constexpr Tagged_t kTurboshaftWord64TypeMap = 0x18f9;
  static constexpr Tagged_t kTurboshaftWord64RangeTypeMap = 0x1921;
  static constexpr Tagged_t kTurboshaftFloat64TypeMap = 0x1949;
  static constexpr Tagged_t kTurboshaftFloat64RangeTypeMap = 0x1971;
  static constexpr Tagged_t kInternalClassMap = 0x1999;
  static constexpr Tagged_t kSmiPairMap = 0x19c1;
  static constexpr Tagged_t kSmiBoxMap = 0x19e9;
  static constexpr Tagged_t kExportedSubClassBaseMap = 0x1a11;
  static constexpr Tagged_t kExportedSubClassMap = 0x1a39;
  static constexpr Tagged_t kAbstractInternalClassSubclass1Map = 0x1a61;
  static constexpr Tagged_t kAbstractInternalClassSubclass2Map = 0x1a89;
  static constexpr Tagged_t kExportedSubClass2Map = 0x1ab1;
  static constexpr Tagged_t kSortStateMap = 0x1ad9;
  static constexpr Tagged_t kWasmStringViewIterMap = 0x1b01;
  static constexpr Tagged_t kSloppyArgumentsElementsMap = 0x1b29;
  static constexpr Tagged_t kStrongDescriptorArrayMap = 0x1b51;
  static constexpr Tagged_t kTurboshaftWord32SetTypeMap = 0x1b79;
  static constexpr Tagged_t kTurboshaftWord64SetTypeMap = 0x1ba1;
  static constexpr Tagged_t kTurboshaftFloat64SetTypeMap = 0x1bc9;
  static constexpr Tagged_t kInternalClassWithSmiElementsMap = 0x1bf1;
  static constexpr Tagged_t kInternalClassWithStructElementsMap = 0x1c19;
  static constexpr Tagged_t kOrderedHashMapMap = 0x1c41;
  static constexpr Tagged_t kOrderedHashSetMap = 0x1c69;
  static constexpr Tagged_t kSimpleNumberDictionaryMap = 0x1c91;
  static constexpr Tagged_t kNameToIndexHashTableMap = 0x1cb9;
  static constexpr Tagged_t kEmbedderDataArrayMap = 0x1ce1;
  static constexpr Tagged_t kEphemeronHashTableMap = 0x1d09;
  static constexpr Tagged_t kScriptContextTableMap = 0x1d31;
  static constexpr Tagged_t kObjectBoilerplateDescriptionMap = 0x1d59;
  static constexpr Tagged_t kCoverageInfoMap = 0x1d81;
  static constexpr Tagged_t kSideEffectCallHandlerInfoMap = 0x1da9;
  static constexpr Tagged_t kSideEffectFreeCallHandlerInfoMap = 0x1dd1;
  static constexpr Tagged_t kSourceTextModuleMap = 0x1df9;
  static constexpr Tagged_t kSyntheticModuleMap = 0x1e21;
  static constexpr Tagged_t kWasmApiFunctionRefMap = 0x1e49;
  static constexpr Tagged_t kWasmCapiFunctionDataMap = 0x1e71;
  static constexpr Tagged_t kWasmExportedFunctionDataMap = 0x1e99;
  static constexpr Tagged_t kWasmInternalFunctionMap = 0x1ec1;
  static constexpr Tagged_t kWasmJSFunctionDataMap = 0x1ee9;
  static constexpr Tagged_t kWasmResumeDataMap = 0x1f11;
  static constexpr Tagged_t kWasmTypeInfoMap = 0x1f39;
  static constexpr Tagged_t kWasmContinuationObjectMap = 0x1f61;
  static constexpr Tagged_t kWasmNullMap = 0x1f89;
  static constexpr Tagged_t kWeakCellMap = 0x1fb1;
  static constexpr Tagged_t kNoOpInterceptorInfo = 0x1fd9;
  static constexpr Tagged_t kEmptyArrayList = 0x2001;
  static constexpr Tagged_t kEmptyObjectBoilerplateDescription = 0x200d;
  static constexpr Tagged_t kEmptyArrayBoilerplateDescription = 0x2019;
  static constexpr Tagged_t kEmptyClosureFeedbackCellArray = 0x2025;
  static constexpr Tagged_t kSingleCharacterStringTable = 0x202d;
  static constexpr Tagged_t kdot_string = 0x2715;
  static constexpr Tagged_t kzero_string = 0x2735;
  static constexpr Tagged_t kone_string = 0x2745;
  static constexpr Tagged_t kadoptText_string = 0x3435;
  static constexpr Tagged_t kapproximatelySign_string = 0x344d;
  static constexpr Tagged_t kbaseName_string = 0x346d;
  static constexpr Tagged_t kaccounting_string = 0x3481;
  static constexpr Tagged_t kbreakType_string = 0x3499;
  static constexpr Tagged_t kcalendars_string = 0x34b1;
  static constexpr Tagged_t kcardinal_string = 0x34c9;
  static constexpr Tagged_t kcaseFirst_string = 0x34dd;
  static constexpr Tagged_t kceil_string = 0x34f5;
  static constexpr Tagged_t kcompare_string = 0x3505;
  static constexpr Tagged_t kcollation_string = 0x3519;
  static constexpr Tagged_t kcollations_string = 0x3531;
  static constexpr Tagged_t kcompact_string = 0x3549;
  static constexpr Tagged_t kcompactDisplay_string = 0x355d;
  static constexpr Tagged_t kcurrency_string = 0x3579;
  static constexpr Tagged_t kcurrencyDisplay_string = 0x358d;
  static constexpr Tagged_t kcurrencySign_string = 0x35a9;
  static constexpr Tagged_t kdateStyle_string = 0x35c1;
  static constexpr Tagged_t kdateTimeField_string = 0x35d9;
  static constexpr Tagged_t kdayPeriod_string = 0x35f5;
  static constexpr Tagged_t kdaysDisplay_string = 0x360d;
  static constexpr Tagged_t kdecimal_string = 0x3625;
  static constexpr Tagged_t kdialect_string = 0x3639;
  static constexpr Tagged_t kdigital_string = 0x364d;
  static constexpr Tagged_t kdirection_string = 0x3661;
  static constexpr Tagged_t kendRange_string = 0x3679;
  static constexpr Tagged_t kengineering_string = 0x368d;
  static constexpr Tagged_t kexceptZero_string = 0x36a5;
  static constexpr Tagged_t kexpand_string = 0x36bd;
  static constexpr Tagged_t kexponentInteger_string = 0x36d1;
  static constexpr Tagged_t kexponentMinusSign_string = 0x36ed;
  static constexpr Tagged_t kexponentSeparator_string = 0x370d;
  static constexpr Tagged_t kfallback_string = 0x372d;
  static constexpr Tagged_t kfirst_string = 0x3741;
  static constexpr Tagged_t kfirstDay_string = 0x3755;
  static constexpr Tagged_t kfloor_string = 0x3769;
  static constexpr Tagged_t kformat_string = 0x377d;
  static constexpr Tagged_t kfraction_string = 0x3791;
  static constexpr Tagged_t kfractionalDigits_string = 0x37a5;
  static constexpr Tagged_t kfractionalSecond_string = 0x37c1;
  static constexpr Tagged_t kfull_string = 0x37dd;
  static constexpr Tagged_t kgranularity_string = 0x37ed;
  static constexpr Tagged_t kgrapheme_string = 0x3805;
  static constexpr Tagged_t kgroup_string = 0x3819;
  static constexpr Tagged_t kh11_string = 0x382d;
  static constexpr Tagged_t kh12_string = 0x383d;
  static constexpr Tagged_t kh23_string = 0x384d;
  static constexpr Tagged_t kh24_string = 0x385d;
  static constexpr Tagged_t khalfCeil_string = 0x386d;
  static constexpr Tagged_t khalfEven_string = 0x3881;
  static constexpr Tagged_t khalfExpand_string = 0x3895;
  static constexpr Tagged_t khalfFloor_string = 0x38ad;
  static constexpr Tagged_t khalfTrunc_string = 0x38c5;
  static constexpr Tagged_t khour12_string = 0x38dd;
  static constexpr Tagged_t khourCycle_string = 0x38f1;
  static constexpr Tagged_t khourCycles_string = 0x3909;
  static constexpr Tagged_t khoursDisplay_string = 0x3921;
  static constexpr Tagged_t kideo_string = 0x3939;
  static constexpr Tagged_t kignorePunctuation_string = 0x3949;
  static constexpr Tagged_t kInvalid_Date_string = 0x3969;
  static constexpr Tagged_t kinteger_string = 0x3981;
  static constexpr Tagged_t kisWordLike_string = 0x3995;
  static constexpr Tagged_t kkana_string = 0x39ad;
  static constexpr Tagged_t klanguage_string = 0x39bd;
  static constexpr Tagged_t klanguageDisplay_string = 0x39d1;
  static constexpr Tagged_t klessPrecision_string = 0x39ed;
  static constexpr Tagged_t kletter_string = 0x3a09;
  static constexpr Tagged_t klist_string = 0x3a1d;
  static constexpr Tagged_t kliteral_string = 0x3a2d;
  static constexpr Tagged_t klocale_string = 0x3a41;
  static constexpr Tagged_t kloose_string = 0x3a55;
  static constexpr Tagged_t klower_string = 0x3a69;
  static constexpr Tagged_t kltr_string = 0x3a7d;
  static constexpr Tagged_t kmaximumFractionDigits_string = 0x3a8d;
  static constexpr Tagged_t kmaximumSignificantDigits_string = 0x3ab1;
  static constexpr Tagged_t kmicrosecondsDisplay_string = 0x3ad5;
  static constexpr Tagged_t kmillisecondsDisplay_string = 0x3af5;
  static constexpr Tagged_t kmin2_string = 0x3b15;
  static constexpr Tagged_t kminimalDays_string = 0x3b25;
  static constexpr Tagged_t kminimumFractionDigits_string = 0x3b3d;
  static constexpr Tagged_t kminimumIntegerDigits_string = 0x3b61;
  static constexpr Tagged_t kminimumSignificantDigits_string = 0x3b81;
  static constexpr Tagged_t kminus_0 = 0x3ba5;
  static constexpr Tagged_t kminusSign_string = 0x3bb5;
  static constexpr Tagged_t kminutesDisplay_string = 0x3bcd;
  static constexpr Tagged_t kmonthsDisplay_string = 0x3be9;
  static constexpr Tagged_t kmorePrecision_string = 0x3c05;
  static constexpr Tagged_t knan_string = 0x3c21;
  static constexpr Tagged_t knanosecondsDisplay_string = 0x3c31;
  static constexpr Tagged_t knarrowSymbol_string = 0x3c51;
  static constexpr Tagged_t knegative_string = 0x3c69;
  static constexpr Tagged_t knever_string = 0x3c7d;
  static constexpr Tagged_t knone_string = 0x3c91;
  static constexpr Tagged_t knotation_string = 0x3ca1;
  static constexpr Tagged_t knormal_string = 0x3cb5;
  static constexpr Tagged_t knumberingSystem_string = 0x3cc9;
  static constexpr Tagged_t knumberingSystems_string = 0x3ce5;
  static constexpr Tagged_t knumeric_string = 0x3d01;
  static constexpr Tagged_t kordinal_string = 0x3d15;
  static constexpr Tagged_t kpercentSign_string = 0x3d29;
  static constexpr Tagged_t kplusSign_string = 0x3d41;
  static constexpr Tagged_t kquarter_string = 0x3d55;
  static constexpr Tagged_t kregion_string = 0x3d69;
  static constexpr Tagged_t krelatedYear_string = 0x3d7d;
  static constexpr Tagged_t kroundingMode_string = 0x3d95;
  static constexpr Tagged_t kroundingPriority_string = 0x3dad;
  static constexpr Tagged_t krtl_string = 0x3dc9;
  static constexpr Tagged_t kscientific_string = 0x3dd9;
  static constexpr Tagged_t ksecondsDisplay_string = 0x3df1;
  static constexpr Tagged_t ksegment_string = 0x3e0d;
  static constexpr Tagged_t kSegmentIterator_string = 0x3e21;
  static constexpr Tagged_t kSegments_string = 0x3e3d;
  static constexpr Tagged_t ksensitivity_string = 0x3e51;
  static constexpr Tagged_t ksep_string = 0x3e69;
  static constexpr Tagged_t kshared_string = 0x3e79;
  static constexpr Tagged_t ksignDisplay_string = 0x3e8d;
  static constexpr Tagged_t kstandard_string = 0x3ea5;
  static constexpr Tagged_t kstartRange_string = 0x3eb9;
  static constexpr Tagged_t kstrict_string = 0x3ed1;
  static constexpr Tagged_t kstripIfInteger_string = 0x3ee5;
  static constexpr Tagged_t kstyle_string = 0x3f01;
  static constexpr Tagged_t kterm_string = 0x3f15;
  static constexpr Tagged_t ktextInfo_string = 0x3f25;
  static constexpr Tagged_t ktimeStyle_string = 0x3f39;
  static constexpr Tagged_t ktimeZones_string = 0x3f51;
  static constexpr Tagged_t ktimeZoneName_string = 0x3f69;
  static constexpr Tagged_t ktrailingZeroDisplay_string = 0x3f81;
  static constexpr Tagged_t ktrunc_string = 0x3fa1;
  static constexpr Tagged_t ktwo_digit_string = 0x3fb5;
  static constexpr Tagged_t ktype_string = 0x3fc9;
  static constexpr Tagged_t kunknown_string = 0x3fd9;
  static constexpr Tagged_t kupper_string = 0x3fed;
  static constexpr Tagged_t kusage_string = 0x4001;
  static constexpr Tagged_t kuseGrouping_string = 0x4015;
  static constexpr Tagged_t kunitDisplay_string = 0x402d;
  static constexpr Tagged_t kweekday_string = 0x4045;
  static constexpr Tagged_t kweekend_string = 0x4059;
  static constexpr Tagged_t kweeksDisplay_string = 0x406d;
  static constexpr Tagged_t kweekInfo_string = 0x4085;
  static constexpr Tagged_t kyearName_string = 0x4099;
  static constexpr Tagged_t kyearsDisplay_string = 0x40ad;
  static constexpr Tagged_t kadd_string = 0x40c5;
  static constexpr Tagged_t kAggregateError_string = 0x40d5;
  static constexpr Tagged_t kalways_string = 0x40f1;
  static constexpr Tagged_t kanonymous_function_string = 0x4105;
  static constexpr Tagged_t kanonymous_string = 0x4125;
  static constexpr Tagged_t kapply_string = 0x413d;
  static constexpr Tagged_t kArguments_string = 0x4151;
  static constexpr Tagged_t karguments_string = 0x4169;
  static constexpr Tagged_t karguments_to_string = 0x4181;
  static constexpr Tagged_t kArray_string = 0x41a1;
  static constexpr Tagged_t karray_to_string = 0x41b5;
  static constexpr Tagged_t kArrayBuffer_string = 0x41d1;
  static constexpr Tagged_t kArrayIterator_string = 0x41e9;
  static constexpr Tagged_t kas_string = 0x4205;
  static constexpr Tagged_t kassert_string = 0x4215;
  static constexpr Tagged_t kasync_string = 0x4229;
  static constexpr Tagged_t kAtomicsCondition_string = 0x423d;
  static constexpr Tagged_t kAtomicsMutex_string = 0x425d;
  static constexpr Tagged_t kauto_string = 0x4279;
  static constexpr Tagged_t kawait_string = 0x4289;
  static constexpr Tagged_t kBigInt_string = 0x429d;
  static constexpr Tagged_t kbigint_string = 0x42b1;
  static constexpr Tagged_t kBigInt64Array_string = 0x42c5;
  static constexpr Tagged_t kBigUint64Array_string = 0x42e1;
  static constexpr Tagged_t kbind_string = 0x42fd;
  static constexpr Tagged_t kblank_string = 0x430d;
  static constexpr Tagged_t kBoolean_string = 0x4321;
  static constexpr Tagged_t kboolean_string = 0x4335;
  static constexpr Tagged_t kboolean_to_string = 0x4349;
  static constexpr Tagged_t kbound__string = 0x4365;
  static constexpr Tagged_t kbuffer_string = 0x4379;
  static constexpr Tagged_t kbyte_length_string = 0x438d;
  static constexpr Tagged_t kbyte_offset_string = 0x43a5;
  static constexpr Tagged_t kCompileError_string = 0x43bd;
  static constexpr Tagged_t kcalendar_string = 0x43d5;
  static constexpr Tagged_t kcallee_string = 0x43e9;
  static constexpr Tagged_t kcaller_string = 0x43fd;
  static constexpr Tagged_t kcause_string = 0x4411;
  static constexpr Tagged_t kcharacter_string = 0x4425;
  static constexpr Tagged_t kclosure_string = 0x443d;
  static constexpr Tagged_t kcode_string = 0x4455;
  static constexpr Tagged_t kcolumn_string = 0x4465;
  static constexpr Tagged_t kcomputed_string = 0x4479;
  static constexpr Tagged_t kconjunction_string = 0x4491;
  static constexpr Tagged_t kconsole_string = 0x44a9;
  static constexpr Tagged_t kconstrain_string = 0x44bd;
  static constexpr Tagged_t kconstruct_string = 0x44d5;
  static constexpr Tagged_t kcurrent_string = 0x44ed;
  static constexpr Tagged_t kDate_string = 0x4501;
  static constexpr Tagged_t kdate_to_string = 0x4511;
  static constexpr Tagged_t kdateAdd_string = 0x452d;
  static constexpr Tagged_t kdateFromFields_string = 0x4541;
  static constexpr Tagged_t kdateUntil_string = 0x455d;
  static constexpr Tagged_t kday_string = 0x4575;
  static constexpr Tagged_t kdayOfWeek_string = 0x4585;
  static constexpr Tagged_t kdayOfYear_string = 0x459d;
  static constexpr Tagged_t kdays_string = 0x45b5;
  static constexpr Tagged_t kdaysInMonth_string = 0x45c5;
  static constexpr Tagged_t kdaysInWeek_string = 0x45dd;
  static constexpr Tagged_t kdaysInYear_string = 0x45f5;
  static constexpr Tagged_t kdefault_string = 0x460d;
  static constexpr Tagged_t kdefineProperty_string = 0x4621;
  static constexpr Tagged_t kdeleteProperty_string = 0x463d;
  static constexpr Tagged_t kdetached_string = 0x4659;
  static constexpr Tagged_t kdisjunction_string = 0x466d;
  static constexpr Tagged_t kdone_string = 0x4685;
  static constexpr Tagged_t kdot_brand_string = 0x4695;
  static constexpr Tagged_t kdot_catch_string = 0x46a9;
  static constexpr Tagged_t kdot_default_string = 0x46bd;
  static constexpr Tagged_t kdot_for_string = 0x46d1;
  static constexpr Tagged_t kdot_generator_object_string = 0x46e1;
  static constexpr Tagged_t kdot_home_object_string = 0x4701;
  static constexpr Tagged_t kdot_new_target_string = 0x4719;
  static constexpr Tagged_t knew_target_string = 0x4719;
  static constexpr Tagged_t kdot_result_string = 0x4731;
  static constexpr Tagged_t kdot_repl_result_string = 0x4745;
  static constexpr Tagged_t kdot_static_home_object_string = 0x475d;
  static constexpr Tagged_t kdot_switch_tag_string = 0x477d;
  static constexpr Tagged_t kdotAll_string = 0x4795;
  static constexpr Tagged_t kError_string = 0x47a9;
  static constexpr Tagged_t kEvalError_string = 0x47bd;
  static constexpr Tagged_t kelement_string = 0x47d5;
  static constexpr Tagged_t kepochMicroseconds_string = 0x47e9;
  static constexpr Tagged_t kepochMilliseconds_string = 0x4809;
  static constexpr Tagged_t kepochNanoseconds_string = 0x4829;
  static constexpr Tagged_t kepochSeconds_string = 0x4845;
  static constexpr Tagged_t kera_string = 0x485d;
  static constexpr Tagged_t keraYear_string = 0x486d;
  static constexpr Tagged_t kerrors_string = 0x4881;
  static constexpr Tagged_t kerror_to_string = 0x4895;
  static constexpr Tagged_t keval_string = 0x48b1;
  static constexpr Tagged_t kexception_string = 0x48c1;
  static constexpr Tagged_t kexec_string = 0x48d9;
  static constexpr Tagged_t kfalse_string = 0x48e9;
  static constexpr Tagged_t kfields_string = 0x48fd;
  static constexpr Tagged_t kFinalizationRegistry_string = 0x4911;
  static constexpr Tagged_t kflags_string = 0x4931;
  static constexpr Tagged_t kFloat32Array_string = 0x4945;
  static constexpr Tagged_t kFloat64Array_string = 0x495d;
  static constexpr Tagged_t kfractionalSecondDigits_string = 0x4975;
  static constexpr Tagged_t kfrom_string = 0x4999;
  static constexpr Tagged_t kFunction_string = 0x49a9;
  static constexpr Tagged_t kfunction_native_code_string = 0x49bd;
  static constexpr Tagged_t kfunction_string = 0x49e9;
  static constexpr Tagged_t kfunction_to_string = 0x49fd;
  static constexpr Tagged_t kGenerator_string = 0x4a1d;
  static constexpr Tagged_t kget_space_string = 0x4a35;
  static constexpr Tagged_t kget_string = 0x4a45;
  static constexpr Tagged_t kgetOffsetNanosecondsFor_string = 0x4a55;
  static constexpr Tagged_t kgetOwnPropertyDescriptor_string = 0x4a79;
  static constexpr Tagged_t kgetPossibleInstantsFor_string = 0x4a9d;
  static constexpr Tagged_t kgetPrototypeOf_string = 0x4ac1;
  static constexpr Tagged_t kglobal_string = 0x4add;
  static constexpr Tagged_t kglobalThis_string = 0x4af1;
  static constexpr Tagged_t kgroups_string = 0x4b09;
  static constexpr Tagged_t kgrowable_string = 0x4b1d;
  static constexpr Tagged_t khas_string = 0x4b31;
  static constexpr Tagged_t khasIndices_string = 0x4b41;
  static constexpr Tagged_t khour_string = 0x4b59;
  static constexpr Tagged_t khours_string = 0x4b69;
  static constexpr Tagged_t khoursInDay_string = 0x4b7d;
  static constexpr Tagged_t kignoreCase_string = 0x4b95;
  static constexpr Tagged_t kid_string = 0x4bad;
  static constexpr Tagged_t killegal_access_string = 0x4bbd;
  static constexpr Tagged_t killegal_argument_string = 0x4bd9;
  static constexpr Tagged_t kinLeapYear_string = 0x4bf5;
  static constexpr Tagged_t kindex_string = 0x4c0d;
  static constexpr Tagged_t kindices_string = 0x4c21;
  static constexpr Tagged_t kInfinity_string = 0x4c35;
  static constexpr Tagged_t kinfinity_string = 0x4c49;
  static constexpr Tagged_t kinput_string = 0x4c5d;
  static constexpr Tagged_t kInt16Array_string = 0x4c71;
  static constexpr Tagged_t kInt32Array_string = 0x4c89;
  static constexpr Tagged_t kInt8Array_string = 0x4ca1;
  static constexpr Tagged_t kisExtensible_string = 0x4cb9;
  static constexpr Tagged_t kiso8601_string = 0x4cd1;
  static constexpr Tagged_t kisoDay_string = 0x4ce5;
  static constexpr Tagged_t kisoHour_string = 0x4cf9;
  static constexpr Tagged_t kisoMicrosecond_string = 0x4d0d;
  static constexpr Tagged_t kisoMillisecond_string = 0x4d29;
  static constexpr Tagged_t kisoMinute_string = 0x4d45;
  static constexpr Tagged_t kisoMonth_string = 0x4d5d;
  static constexpr Tagged_t kisoNanosecond_string = 0x4d71;
  static constexpr Tagged_t kisoSecond_string = 0x4d8d;
  static constexpr Tagged_t kisoYear_string = 0x4da5;
  static constexpr Tagged_t kjsMemoryEstimate_string = 0x4db9;
  static constexpr Tagged_t kjsMemoryRange_string = 0x4dd5;
  static constexpr Tagged_t kkeys_string = 0x4df1;
  static constexpr Tagged_t klargestUnit_string = 0x4e01;
  static constexpr Tagged_t klastIndex_string = 0x4e19;
  static constexpr Tagged_t klet_string = 0x4e31;
  static constexpr Tagged_t kline_string = 0x4e41;
  static constexpr Tagged_t klinear_string = 0x4e51;
  static constexpr Tagged_t kLinkError_string = 0x4e65;
  static constexpr Tagged_t klong_string = 0x4e7d;
  static constexpr Tagged_t kMap_string = 0x4e8d;
  static constexpr Tagged_t kMapIterator_string = 0x4e9d;
  static constexpr Tagged_t kmax_byte_length_string = 0x4eb5;
  static constexpr Tagged_t kmedium_string = 0x4ed1;
  static constexpr Tagged_t kmergeFields_string = 0x4ee5;
  static constexpr Tagged_t kmessage_string = 0x4efd;
  static constexpr Tagged_t kmeta_string = 0x4f11;
  static constexpr Tagged_t kminus_Infinity_string = 0x4f21;
  static constexpr Tagged_t kmicrosecond_string = 0x4f39;
  static constexpr Tagged_t kmicroseconds_string = 0x4f51;
  static constexpr Tagged_t kmillisecond_string = 0x4f69;
  static constexpr Tagged_t kmilliseconds_string = 0x4f81;
  static constexpr Tagged_t kminute_string = 0x4f99;
  static constexpr Tagged_t kminutes_string = 0x4fad;
  static constexpr Tagged_t kModule_string = 0x4fc1;
  static constexpr Tagged_t kmonth_string = 0x4fd5;
  static constexpr Tagged_t kmonthDayFromFields_string = 0x4fe9;
  static constexpr Tagged_t kmonths_string = 0x5009;
  static constexpr Tagged_t kmonthsInYear_string = 0x501d;
  static constexpr Tagged_t kmonthCode_string = 0x5035;
  static constexpr Tagged_t kmultiline_string = 0x504d;
  static constexpr Tagged_t kNaN_string = 0x5065;
  static constexpr Tagged_t knanosecond_string = 0x5075;
  static constexpr Tagged_t knanoseconds_string = 0x508d;
  static constexpr Tagged_t knarrow_string = 0x50a5;
  static constexpr Tagged_t knative_string = 0x50b9;
  static constexpr Tagged_t kNFC_string = 0x50cd;
  static constexpr Tagged_t kNFD_string = 0x50dd;
  static constexpr Tagged_t kNFKC_string = 0x50ed;
  static constexpr Tagged_t kNFKD_string = 0x50fd;
  static constexpr Tagged_t knot_equal_string = 0x510d;
  static constexpr Tagged_t knull_string = 0x5125;
  static constexpr Tagged_t knull_to_string = 0x5135;
  static constexpr Tagged_t kNumber_string = 0x5151;
  static constexpr Tagged_t knumber_string = 0x5165;
  static constexpr Tagged_t knumber_to_string = 0x5179;
  static constexpr Tagged_t kObject_string = 0x5195;
  static constexpr Tagged_t kobject_string = 0x51a9;
  static constexpr Tagged_t kobject_to_string = 0x51bd;
  static constexpr Tagged_t kObject_prototype_string = 0x51d9;
  static constexpr Tagged_t kof_string = 0x51f5;
  static constexpr Tagged_t koffset_string = 0x5205;
  static constexpr Tagged_t koffsetNanoseconds_string = 0x5219;
  static constexpr Tagged_t kok_string = 0x5239;
  static constexpr Tagged_t kother_string = 0x5249;
  static constexpr Tagged_t koverflow_string = 0x525d;
  static constexpr Tagged_t kownKeys_string = 0x5271;
  static constexpr Tagged_t kpercent_string = 0x5285;
  static constexpr Tagged_t kplainDate_string = 0x5299;
  static constexpr Tagged_t kplainTime_string = 0x52b1;
  static constexpr Tagged_t kposition_string = 0x52c9;
  static constexpr Tagged_t kpreventExtensions_string = 0x52dd;
  static constexpr Tagged_t kprivate_constructor_string = 0x52fd;
  static constexpr Tagged_t kPromise_string = 0x5315;
  static constexpr Tagged_t kproto_string = 0x5329;
  static constexpr Tagged_t kproxy_string = 0x5341;
  static constexpr Tagged_t kProxy_string = 0x5355;
  static constexpr Tagged_t kquery_colon_string = 0x5369;
  static constexpr Tagged_t kRangeError_string = 0x5379;
  static constexpr Tagged_t kraw_json_string = 0x5391;
  static constexpr Tagged_t kraw_string = 0x53a5;
  static constexpr Tagged_t kReferenceError_string = 0x53b5;
  static constexpr Tagged_t kReflectGet_string = 0x53d1;
  static constexpr Tagged_t kReflectHas_string = 0x53e9;
  static constexpr Tagged_t kRegExp_string = 0x5401;
  static constexpr Tagged_t kregexp_to_string = 0x5415;
  static constexpr Tagged_t kreject_string = 0x5431;
  static constexpr Tagged_t krelativeTo_string = 0x5445;
  static constexpr Tagged_t kresizable_string = 0x545d;
  static constexpr Tagged_t kResizableArrayBuffer_string = 0x5475;
  static constexpr Tagged_t kreturn_string = 0x5495;
  static constexpr Tagged_t krevoke_string = 0x54a9;
  static constexpr Tagged_t kroundingIncrement_string = 0x54bd;
  static constexpr Tagged_t kRuntimeError_string = 0x54dd;
  static constexpr Tagged_t kWebAssemblyException_string = 0x54f5;
  static constexpr Tagged_t kScript_string = 0x5519;
  static constexpr Tagged_t kscript_string = 0x552d;
  static constexpr Tagged_t ksecond_string = 0x5541;
  static constexpr Tagged_t kseconds_string = 0x5555;
  static constexpr Tagged_t kshort_string = 0x5569;
  static constexpr Tagged_t kSet_string = 0x557d;
  static constexpr Tagged_t ksentence_string = 0x558d;
  static constexpr Tagged_t kset_space_string = 0x55a1;
  static constexpr Tagged_t kset_string = 0x55b1;
  static constexpr Tagged_t kSetIterator_string = 0x55c1;
  static constexpr Tagged_t ksetPrototypeOf_string = 0x55d9;
  static constexpr Tagged_t kShadowRealm_string = 0x55f5;
  static constexpr Tagged_t kSharedArray_string = 0x560d;
  static constexpr Tagged_t kSharedArrayBuffer_string = 0x5625;
  static constexpr Tagged_t kSharedStruct_string = 0x5645;
  static constexpr Tagged_t ksign_string = 0x565d;
  static constexpr Tagged_t ksize_string = 0x566d;
  static constexpr Tagged_t ksmallestUnit_string = 0x567d;
  static constexpr Tagged_t ksource_string = 0x5695;
  static constexpr Tagged_t ksourceText_string = 0x56a9;
  static constexpr Tagged_t kstack_string = 0x56c1;
  static constexpr Tagged_t kstackTraceLimit_string = 0x56d5;
  static constexpr Tagged_t ksticky_string = 0x56f1;
  static constexpr Tagged_t kString_string = 0x5705;
  static constexpr Tagged_t kstring_string = 0x5719;
  static constexpr Tagged_t kstring_to_string = 0x572d;
  static constexpr Tagged_t kSymbol_iterator_string = 0x5749;
  static constexpr Tagged_t kSymbol_match_all_string = 0x5765;
  static constexpr Tagged_t kSymbol_replace_string = 0x5781;
  static constexpr Tagged_t ksymbol_species_string = 0x579d;
  static constexpr Tagged_t kSymbol_species_string = 0x57b9;
  static constexpr Tagged_t kSymbol_split_string = 0x57d5;
  static constexpr Tagged_t kSymbol_string = 0x57ed;
  static constexpr Tagged_t ksymbol_string = 0x5801;
  static constexpr Tagged_t kSyntaxError_string = 0x5815;
  static constexpr Tagged_t ktarget_string = 0x582d;
  static constexpr Tagged_t kthis_function_string = 0x5841;
  static constexpr Tagged_t kthis_string = 0x585d;
  static constexpr Tagged_t kthrow_string = 0x586d;
  static constexpr Tagged_t ktimed_out_string = 0x5881;
  static constexpr Tagged_t ktimeZone_string = 0x5899;
  static constexpr Tagged_t ktoJSON_string = 0x58ad;
  static constexpr Tagged_t ktoString_string = 0x58c1;
  static constexpr Tagged_t ktrue_string = 0x58d5;
  static constexpr Tagged_t ktotal_string = 0x58e5;
  static constexpr Tagged_t kTypeError_string = 0x58f9;
  static constexpr Tagged_t kUint16Array_string = 0x5911;
  static constexpr Tagged_t kUint32Array_string = 0x5929;
  static constexpr Tagged_t kUint8Array_string = 0x5941;
  static constexpr Tagged_t kUint8ClampedArray_string = 0x5959;
  static constexpr Tagged_t kundefined_string = 0x5979;
  static constexpr Tagged_t kundefined_to_string = 0x5991;
  static constexpr Tagged_t kunicode_string = 0x59b1;
  static constexpr Tagged_t kunicodeSets_string = 0x59c5;
  static constexpr Tagged_t kunit_string = 0x59dd;
  static constexpr Tagged_t kURIError_string = 0x59ed;
  static constexpr Tagged_t kUTC_string = 0x5a01;
  static constexpr Tagged_t kvalueOf_string = 0x5a11;
  static constexpr Tagged_t kWeakMap_string = 0x5a25;
  static constexpr Tagged_t kWeakRef_string = 0x5a39;
  static constexpr Tagged_t kWeakSet_string = 0x5a4d;
  static constexpr Tagged_t kweek_string = 0x5a61;
  static constexpr Tagged_t kweeks_string = 0x5a71;
  static constexpr Tagged_t kweekOfYear_string = 0x5a85;
  static constexpr Tagged_t kword_string = 0x5a9d;
  static constexpr Tagged_t kyearMonthFromFields_string = 0x5aad;
  static constexpr Tagged_t kyear_string = 0x5acd;
  static constexpr Tagged_t kyears_string = 0x5add;
  static constexpr Tagged_t kPropertyCellHoleValue = 0x5af1;
  static constexpr Tagged_t kUninitializedValue = 0x5afd;
  static constexpr Tagged_t kArgumentsMarker = 0x5b35;
  static constexpr Tagged_t kTerminationException = 0x5b6d;
  static constexpr Tagged_t kException = 0x5bad;
  static constexpr Tagged_t kOptimizedOut = 0x5bc9;
  static constexpr Tagged_t kStaleRegister = 0x5c01;
  static constexpr Tagged_t kSelfReferenceMarker = 0x5c39;
  static constexpr Tagged_t kBasicBlockCountersMarker = 0x5c79;
  static constexpr Tagged_t karray_buffer_wasm_memory_symbol = 0x5cbd;
  static constexpr Tagged_t kcall_site_info_symbol = 0x5ccd;
  static constexpr Tagged_t kconsole_context_id_symbol = 0x5cdd;
  static constexpr Tagged_t kconsole_context_name_symbol = 0x5ced;
  static constexpr Tagged_t kclass_fields_symbol = 0x5cfd;
  static constexpr Tagged_t kclass_positions_symbol = 0x5d0d;
  static constexpr Tagged_t kerror_end_pos_symbol = 0x5d1d;
  static constexpr Tagged_t kerror_script_symbol = 0x5d2d;
  static constexpr Tagged_t kerror_stack_symbol = 0x5d3d;
  static constexpr Tagged_t kerror_start_pos_symbol = 0x5d4d;
  static constexpr Tagged_t kfrozen_symbol = 0x5d5d;
  static constexpr Tagged_t kinterpreter_trampoline_symbol = 0x5d6d;
  static constexpr Tagged_t knative_context_index_symbol = 0x5d7d;
  static constexpr Tagged_t knonextensible_symbol = 0x5d8d;
  static constexpr Tagged_t kpromise_debug_marker_symbol = 0x5d9d;
  static constexpr Tagged_t kpromise_debug_message_symbol = 0x5dad;
  static constexpr Tagged_t kpromise_forwarding_handler_symbol = 0x5dbd;
  static constexpr Tagged_t kpromise_handled_by_symbol = 0x5dcd;
  static constexpr Tagged_t kpromise_awaited_by_symbol = 0x5ddd;
  static constexpr Tagged_t kregexp_result_names_symbol = 0x5ded;
  static constexpr Tagged_t kregexp_result_regexp_input_symbol = 0x5dfd;
  static constexpr Tagged_t kregexp_result_regexp_last_index_symbol = 0x5e0d;
  static constexpr Tagged_t ksealed_symbol = 0x5e1d;
  static constexpr Tagged_t kstrict_function_transition_symbol = 0x5e2d;
  static constexpr Tagged_t ktemplate_literal_function_literal_id_symbol =
      0x5e3d;
  static constexpr Tagged_t ktemplate_literal_slot_id_symbol = 0x5e4d;
  static constexpr Tagged_t kwasm_exception_tag_symbol = 0x5e5d;
  static constexpr Tagged_t kwasm_exception_values_symbol = 0x5e6d;
  static constexpr Tagged_t kwasm_uncatchable_symbol = 0x5e7d;
  static constexpr Tagged_t kwasm_wrapped_object_symbol = 0x5e8d;
  static constexpr Tagged_t kwasm_debug_proxy_cache_symbol = 0x5e9d;
  static constexpr Tagged_t kwasm_debug_proxy_names_symbol = 0x5ead;
  static constexpr Tagged_t kasync_iterator_symbol = 0x5ebd;
  static constexpr Tagged_t kintl_fallback_symbol = 0x5eed;
  static constexpr Tagged_t kmatch_symbol = 0x5f25;
  static constexpr Tagged_t ksearch_symbol = 0x5f4d;
  static constexpr Tagged_t kto_primitive_symbol = 0x5f79;
  static constexpr Tagged_t kunscopables_symbol = 0x5fa9;
  static constexpr Tagged_t khas_instance_symbol = 0x5fd9;
  static constexpr Tagged_t kto_string_tag_symbol = 0x6009;
  static constexpr Tagged_t kconstructor_string = 0x6061;
  static constexpr Tagged_t knext_string = 0x6079;
  static constexpr Tagged_t kresolve_string = 0x6089;
  static constexpr Tagged_t kthen_string = 0x609d;
  static constexpr Tagged_t kiterator_symbol = 0x60ad;
  static constexpr Tagged_t kmatch_all_symbol = 0x60bd;
  static constexpr Tagged_t kreplace_symbol = 0x60cd;
  static constexpr Tagged_t kspecies_symbol = 0x60dd;
  static constexpr Tagged_t ksplit_symbol = 0x60ed;
  static constexpr Tagged_t kis_concat_spreadable_symbol = 0x60fd;
  static constexpr Tagged_t kEmptySlowElementDictionary = 0x610d;
  static constexpr Tagged_t kEmptySymbolTable = 0x6131;
  static constexpr Tagged_t kEmptyOrderedHashMap = 0x614d;
  static constexpr Tagged_t kEmptyOrderedHashSet = 0x6161;
  static constexpr Tagged_t kEmptyFeedbackMetadata = 0x6175;
  static constexpr Tagged_t kGlobalThisBindingScopeInfo = 0x6181;
  static constexpr Tagged_t kEmptyFunctionScopeInfo = 0x61a1;
  static constexpr Tagged_t kNativeScopeInfo = 0x61c5;
  static constexpr Tagged_t kShadowRealmScopeInfo = 0x61dd;
  static constexpr Tagged_t kAsyncFunctionAwaitRejectSharedFun = 0x61f5;
  static constexpr Tagged_t kAsyncFunctionAwaitResolveSharedFun = 0x6221;
  static constexpr Tagged_t kAsyncGeneratorAwaitResolveSharedFun = 0x624d;
  static constexpr Tagged_t kAsyncGeneratorAwaitRejectSharedFun = 0x6279;
  static constexpr Tagged_t kAsyncGeneratorYieldWithAwaitResolveSharedFun =
      0x62a5;
  static constexpr Tagged_t kAsyncGeneratorReturnResolveSharedFun = 0x62d1;
  static constexpr Tagged_t kAsyncGeneratorReturnClosedResolveSharedFun =
      0x62fd;
  static constexpr Tagged_t kAsyncGeneratorReturnClosedRejectSharedFun = 0x6329;
  static constexpr Tagged_t kAsyncIteratorValueUnwrapSharedFun = 0x6355;
  static constexpr Tagged_t kPromiseCapabilityDefaultResolveSharedFun = 0x6381;
  static constexpr Tagged_t kPromiseCapabilityDefaultRejectSharedFun = 0x63ad;
  static constexpr Tagged_t kPromiseGetCapabilitiesExecutorSharedFun = 0x63d9;
  static constexpr Tagged_t kPromiseThenFinallySharedFun = 0x6405;
  static constexpr Tagged_t kPromiseCatchFinallySharedFun = 0x6431;
  static constexpr Tagged_t kPromiseValueThunkFinallySharedFun = 0x645d;
  static constexpr Tagged_t kPromiseThrowerFinallySharedFun = 0x6489;
  static constexpr Tagged_t kPromiseAllResolveElementSharedFun = 0x64b5;
  static constexpr Tagged_t kPromiseAllSettledResolveElementSharedFun = 0x64e1;
  static constexpr Tagged_t kPromiseAllSettledRejectElementSharedFun = 0x650d;
  static constexpr Tagged_t kPromiseAnyRejectElementSharedFun = 0x6539;
  static constexpr Tagged_t kProxyRevokeSharedFun = 0x6565;
  static constexpr Tagged_t kShadowRealmImportValueFulfilledSFI = 0x6591;
  static constexpr Tagged_t kSourceTextModuleExecuteAsyncModuleFulfilledSFI =
      0x65bd;
  static constexpr Tagged_t kSourceTextModuleExecuteAsyncModuleRejectedSFI =
      0x65e9;
  static constexpr Tagged_t kWasmNullPadding = 0x6615;
  static constexpr Tagged_t kWasmNull = 0xfffd;
  static constexpr Tagged_t kJSSharedArrayMap = 0x20001;
  static constexpr Tagged_t kJSAtomicsMutexMap = 0x20045;
  static constexpr Tagged_t kJSAtomicsConditionMap = 0x2006d;
};

static constexpr std::array<Tagged_t, 769> StaticReadOnlyRootsPointerTable = {
    StaticReadOnlyRoot::kFreeSpaceMap,
    StaticReadOnlyRoot::kOnePointerFillerMap,
    StaticReadOnlyRoot::kTwoPointerFillerMap,
    StaticReadOnlyRoot::kUninitializedValue,
    StaticReadOnlyRoot::kUndefinedValue,
    StaticReadOnlyRoot::kTheHoleValue,
    StaticReadOnlyRoot::kNullValue,
    StaticReadOnlyRoot::kTrueValue,
    StaticReadOnlyRoot::kFalseValue,
    StaticReadOnlyRoot::kempty_string,
    StaticReadOnlyRoot::kMetaMap,
    StaticReadOnlyRoot::kByteArrayMap,
    StaticReadOnlyRoot::kFixedArrayMap,
    StaticReadOnlyRoot::kFixedCOWArrayMap,
    StaticReadOnlyRoot::kFixedDoubleArrayMap,
    StaticReadOnlyRoot::kHashTableMap,
    StaticReadOnlyRoot::kSymbolMap,
    StaticReadOnlyRoot::kOneByteStringMap,
    StaticReadOnlyRoot::kOneByteInternalizedStringMap,
    StaticReadOnlyRoot::kScopeInfoMap,
    StaticReadOnlyRoot::kSharedFunctionInfoMap,
    StaticReadOnlyRoot::kInstructionStreamMap,
    StaticReadOnlyRoot::kCellMap,
    StaticReadOnlyRoot::kGlobalPropertyCellMap,
    StaticReadOnlyRoot::kForeignMap,
    StaticReadOnlyRoot::kHeapNumberMap,
    StaticReadOnlyRoot::kTransitionArrayMap,
    StaticReadOnlyRoot::kFeedbackVectorMap,
    StaticReadOnlyRoot::kEmptyScopeInfo,
    StaticReadOnlyRoot::kEmptyFixedArray,
    StaticReadOnlyRoot::kEmptyDescriptorArray,
    StaticReadOnlyRoot::kArgumentsMarker,
    StaticReadOnlyRoot::kException,
    StaticReadOnlyRoot::kTerminationException,
    StaticReadOnlyRoot::kOptimizedOut,
    StaticReadOnlyRoot::kStaleRegister,
    StaticReadOnlyRoot::kPropertyCellHoleValue,
    StaticReadOnlyRoot::kScriptContextTableMap,
    StaticReadOnlyRoot::kClosureFeedbackCellArrayMap,
    StaticReadOnlyRoot::kFeedbackMetadataArrayMap,
    StaticReadOnlyRoot::kArrayListMap,
    StaticReadOnlyRoot::kBigIntMap,
    StaticReadOnlyRoot::kObjectBoilerplateDescriptionMap,
    StaticReadOnlyRoot::kBytecodeArrayMap,
    StaticReadOnlyRoot::kCodeMap,
    StaticReadOnlyRoot::kCoverageInfoMap,
    StaticReadOnlyRoot::kGlobalDictionaryMap,
    StaticReadOnlyRoot::kManyClosuresCellMap,
    StaticReadOnlyRoot::kMegaDomHandlerMap,
    StaticReadOnlyRoot::kModuleInfoMap,
    StaticReadOnlyRoot::kNameDictionaryMap,
    StaticReadOnlyRoot::kNoClosuresCellMap,
    StaticReadOnlyRoot::kNumberDictionaryMap,
    StaticReadOnlyRoot::kOneClosureCellMap,
    StaticReadOnlyRoot::kOrderedHashMapMap,
    StaticReadOnlyRoot::kOrderedHashSetMap,
    StaticReadOnlyRoot::kNameToIndexHashTableMap,
    StaticReadOnlyRoot::kRegisteredSymbolTableMap,
    StaticReadOnlyRoot::kOrderedNameDictionaryMap,
    StaticReadOnlyRoot::kPreparseDataMap,
    StaticReadOnlyRoot::kPropertyArrayMap,
    StaticReadOnlyRoot::kAccessorInfoMap,
    StaticReadOnlyRoot::kSideEffectCallHandlerInfoMap,
    StaticReadOnlyRoot::kSideEffectFreeCallHandlerInfoMap,
    StaticReadOnlyRoot::kSimpleNumberDictionaryMap,
    StaticReadOnlyRoot::kSmallOrderedHashMapMap,
    StaticReadOnlyRoot::kSmallOrderedHashSetMap,
    StaticReadOnlyRoot::kSmallOrderedNameDictionaryMap,
    StaticReadOnlyRoot::kSourceTextModuleMap,
    StaticReadOnlyRoot::kSwissNameDictionaryMap,
    StaticReadOnlyRoot::kSyntheticModuleMap,
    StaticReadOnlyRoot::kWasmApiFunctionRefMap,
    StaticReadOnlyRoot::kWasmCapiFunctionDataMap,
    StaticReadOnlyRoot::kWasmExportedFunctionDataMap,
    StaticReadOnlyRoot::kWasmInternalFunctionMap,
    StaticReadOnlyRoot::kWasmJSFunctionDataMap,
    StaticReadOnlyRoot::kWasmResumeDataMap,
    StaticReadOnlyRoot::kWasmTypeInfoMap,
    StaticReadOnlyRoot::kWasmContinuationObjectMap,
    StaticReadOnlyRoot::kWasmNullMap,
    StaticReadOnlyRoot::kWeakFixedArrayMap,
    StaticReadOnlyRoot::kWeakArrayListMap,
    StaticReadOnlyRoot::kEphemeronHashTableMap,
    StaticReadOnlyRoot::kEmbedderDataArrayMap,
    StaticReadOnlyRoot::kWeakCellMap,
    StaticReadOnlyRoot::kStringMap,
    StaticReadOnlyRoot::kConsOneByteStringMap,
    StaticReadOnlyRoot::kConsStringMap,
    StaticReadOnlyRoot::kThinStringMap,
    StaticReadOnlyRoot::kSlicedStringMap,
    StaticReadOnlyRoot::kSlicedOneByteStringMap,
    StaticReadOnlyRoot::kExternalStringMap,
    StaticReadOnlyRoot::kExternalOneByteStringMap,
    StaticReadOnlyRoot::kUncachedExternalStringMap,
    StaticReadOnlyRoot::kInternalizedStringMap,
    StaticReadOnlyRoot::kExternalInternalizedStringMap,
    StaticReadOnlyRoot::kExternalOneByteInternalizedStringMap,
    StaticReadOnlyRoot::kUncachedExternalInternalizedStringMap,
    StaticReadOnlyRoot::kUncachedExternalOneByteInternalizedStringMap,
    StaticReadOnlyRoot::kUncachedExternalOneByteStringMap,
    StaticReadOnlyRoot::kSharedOneByteStringMap,
    StaticReadOnlyRoot::kSharedStringMap,
    StaticReadOnlyRoot::kSharedExternalOneByteStringMap,
    StaticReadOnlyRoot::kSharedExternalStringMap,
    StaticReadOnlyRoot::kSharedUncachedExternalOneByteStringMap,
    StaticReadOnlyRoot::kSharedUncachedExternalStringMap,
    StaticReadOnlyRoot::kUndefinedMap,
    StaticReadOnlyRoot::kHoleMap,
    StaticReadOnlyRoot::kNullMap,
    StaticReadOnlyRoot::kBooleanMap,
    StaticReadOnlyRoot::kUninitializedMap,
    StaticReadOnlyRoot::kArgumentsMarkerMap,
    StaticReadOnlyRoot::kExceptionMap,
    StaticReadOnlyRoot::kTerminationExceptionMap,
    StaticReadOnlyRoot::kOptimizedOutMap,
    StaticReadOnlyRoot::kStaleRegisterMap,
    StaticReadOnlyRoot::kSelfReferenceMarkerMap,
    StaticReadOnlyRoot::kBasicBlockCountersMarkerMap,
    StaticReadOnlyRoot::kJSSharedArrayMap,
    StaticReadOnlyRoot::kJSAtomicsMutexMap,
    StaticReadOnlyRoot::kJSAtomicsConditionMap,
    StaticReadOnlyRoot::kEmptyEnumCache,
    StaticReadOnlyRoot::kEmptyPropertyArray,
    StaticReadOnlyRoot::kEmptyByteArray,
    StaticReadOnlyRoot::kEmptyObjectBoilerplateDescription,
    StaticReadOnlyRoot::kEmptyArrayBoilerplateDescription,
    StaticReadOnlyRoot::kEmptyClosureFeedbackCellArray,
    StaticReadOnlyRoot::kEmptySlowElementDictionary,
    StaticReadOnlyRoot::kEmptyOrderedHashMap,
    StaticReadOnlyRoot::kEmptyOrderedHashSet,
    StaticReadOnlyRoot::kEmptyFeedbackMetadata,
    StaticReadOnlyRoot::kEmptyPropertyDictionary,
    StaticReadOnlyRoot::kEmptyOrderedPropertyDictionary,
    StaticReadOnlyRoot::kEmptySwissPropertyDictionary,
    StaticReadOnlyRoot::kNoOpInterceptorInfo,
    StaticReadOnlyRoot::kEmptyArrayList,
    StaticReadOnlyRoot::kEmptyWeakFixedArray,
    StaticReadOnlyRoot::kEmptyWeakArrayList,
    StaticReadOnlyRoot::kInvalidPrototypeValidityCell,
    StaticReadOnlyRoot::kNanValue,
    StaticReadOnlyRoot::kHoleNanValue,
    StaticReadOnlyRoot::kInfinityValue,
    StaticReadOnlyRoot::kMinusZeroValue,
    StaticReadOnlyRoot::kMinusInfinityValue,
    StaticReadOnlyRoot::kMaxSafeInteger,
    StaticReadOnlyRoot::kMaxUInt32,
    StaticReadOnlyRoot::kSmiMinValue,
    StaticReadOnlyRoot::kSmiMaxValuePlusOne,
    StaticReadOnlyRoot::kSingleCharacterStringTable,
    StaticReadOnlyRoot::kSelfReferenceMarker,
    StaticReadOnlyRoot::kBasicBlockCountersMarker,
    StaticReadOnlyRoot::kGlobalThisBindingScopeInfo,
    StaticReadOnlyRoot::kEmptyFunctionScopeInfo,
    StaticReadOnlyRoot::kNativeScopeInfo,
    StaticReadOnlyRoot::kShadowRealmScopeInfo,
    StaticReadOnlyRoot::kEmptySymbolTable,
    StaticReadOnlyRoot::kHashSeed,
    StaticReadOnlyRoot::kWasmNullPadding,
    StaticReadOnlyRoot::kWasmNull,
    StaticReadOnlyRoot::kAsyncFunctionAwaitRejectSharedFun,
    StaticReadOnlyRoot::kAsyncFunctionAwaitResolveSharedFun,
    StaticReadOnlyRoot::kAsyncGeneratorAwaitRejectSharedFun,
    StaticReadOnlyRoot::kAsyncGeneratorAwaitResolveSharedFun,
    StaticReadOnlyRoot::kAsyncGeneratorYieldWithAwaitResolveSharedFun,
    StaticReadOnlyRoot::kAsyncGeneratorReturnResolveSharedFun,
    StaticReadOnlyRoot::kAsyncGeneratorReturnClosedRejectSharedFun,
    StaticReadOnlyRoot::kAsyncGeneratorReturnClosedResolveSharedFun,
    StaticReadOnlyRoot::kAsyncIteratorValueUnwrapSharedFun,
    StaticReadOnlyRoot::kPromiseAllResolveElementSharedFun,
    StaticReadOnlyRoot::kPromiseAllSettledResolveElementSharedFun,
    StaticReadOnlyRoot::kPromiseAllSettledRejectElementSharedFun,
    StaticReadOnlyRoot::kPromiseAnyRejectElementSharedFun,
    StaticReadOnlyRoot::kPromiseCapabilityDefaultRejectSharedFun,
    StaticReadOnlyRoot::kPromiseCapabilityDefaultResolveSharedFun,
    StaticReadOnlyRoot::kPromiseCatchFinallySharedFun,
    StaticReadOnlyRoot::kPromiseGetCapabilitiesExecutorSharedFun,
    StaticReadOnlyRoot::kPromiseThenFinallySharedFun,
    StaticReadOnlyRoot::kPromiseThrowerFinallySharedFun,
    StaticReadOnlyRoot::kPromiseValueThunkFinallySharedFun,
    StaticReadOnlyRoot::kProxyRevokeSharedFun,
    StaticReadOnlyRoot::kShadowRealmImportValueFulfilledSFI,
    StaticReadOnlyRoot::kSourceTextModuleExecuteAsyncModuleFulfilledSFI,
    StaticReadOnlyRoot::kSourceTextModuleExecuteAsyncModuleRejectedSFI,
    StaticReadOnlyRoot::klength_string,
    StaticReadOnlyRoot::kprototype_string,
    StaticReadOnlyRoot::kname_string,
    StaticReadOnlyRoot::kenumerable_string,
    StaticReadOnlyRoot::kconfigurable_string,
    StaticReadOnlyRoot::kvalue_string,
    StaticReadOnlyRoot::kwritable_string,
    StaticReadOnlyRoot::kadoptText_string,
    StaticReadOnlyRoot::kapproximatelySign_string,
    StaticReadOnlyRoot::kbaseName_string,
    StaticReadOnlyRoot::kaccounting_string,
    StaticReadOnlyRoot::kbreakType_string,
    StaticReadOnlyRoot::kcalendars_string,
    StaticReadOnlyRoot::kcardinal_string,
    StaticReadOnlyRoot::kcaseFirst_string,
    StaticReadOnlyRoot::kceil_string,
    StaticReadOnlyRoot::kcompare_string,
    StaticReadOnlyRoot::kcollation_string,
    StaticReadOnlyRoot::kcollations_string,
    StaticReadOnlyRoot::kcompact_string,
    StaticReadOnlyRoot::kcompactDisplay_string,
    StaticReadOnlyRoot::kcurrency_string,
    StaticReadOnlyRoot::kcurrencyDisplay_string,
    StaticReadOnlyRoot::kcurrencySign_string,
    StaticReadOnlyRoot::kdateStyle_string,
    StaticReadOnlyRoot::kdateTimeField_string,
    StaticReadOnlyRoot::kdayPeriod_string,
    StaticReadOnlyRoot::kdaysDisplay_string,
    StaticReadOnlyRoot::kdecimal_string,
    StaticReadOnlyRoot::kdialect_string,
    StaticReadOnlyRoot::kdigital_string,
    StaticReadOnlyRoot::kdirection_string,
    StaticReadOnlyRoot::kendRange_string,
    StaticReadOnlyRoot::kengineering_string,
    StaticReadOnlyRoot::kexceptZero_string,
    StaticReadOnlyRoot::kexpand_string,
    StaticReadOnlyRoot::kexponentInteger_string,
    StaticReadOnlyRoot::kexponentMinusSign_string,
    StaticReadOnlyRoot::kexponentSeparator_string,
    StaticReadOnlyRoot::kfallback_string,
    StaticReadOnlyRoot::kfirst_string,
    StaticReadOnlyRoot::kfirstDay_string,
    StaticReadOnlyRoot::kfloor_string,
    StaticReadOnlyRoot::kformat_string,
    StaticReadOnlyRoot::kfraction_string,
    StaticReadOnlyRoot::kfractionalDigits_string,
    StaticReadOnlyRoot::kfractionalSecond_string,
    StaticReadOnlyRoot::kfull_string,
    StaticReadOnlyRoot::kgranularity_string,
    StaticReadOnlyRoot::kgrapheme_string,
    StaticReadOnlyRoot::kgroup_string,
    StaticReadOnlyRoot::kh11_string,
    StaticReadOnlyRoot::kh12_string,
    StaticReadOnlyRoot::kh23_string,
    StaticReadOnlyRoot::kh24_string,
    StaticReadOnlyRoot::khalfCeil_string,
    StaticReadOnlyRoot::khalfEven_string,
    StaticReadOnlyRoot::khalfExpand_string,
    StaticReadOnlyRoot::khalfFloor_string,
    StaticReadOnlyRoot::khalfTrunc_string,
    StaticReadOnlyRoot::khour12_string,
    StaticReadOnlyRoot::khourCycle_string,
    StaticReadOnlyRoot::khourCycles_string,
    StaticReadOnlyRoot::khoursDisplay_string,
    StaticReadOnlyRoot::kideo_string,
    StaticReadOnlyRoot::kignorePunctuation_string,
    StaticReadOnlyRoot::kInvalid_Date_string,
    StaticReadOnlyRoot::kinteger_string,
    StaticReadOnlyRoot::kisWordLike_string,
    StaticReadOnlyRoot::kkana_string,
    StaticReadOnlyRoot::klanguage_string,
    StaticReadOnlyRoot::klanguageDisplay_string,
    StaticReadOnlyRoot::klessPrecision_string,
    StaticReadOnlyRoot::kletter_string,
    StaticReadOnlyRoot::klist_string,
    StaticReadOnlyRoot::kliteral_string,
    StaticReadOnlyRoot::klocale_string,
    StaticReadOnlyRoot::kloose_string,
    StaticReadOnlyRoot::klower_string,
    StaticReadOnlyRoot::kltr_string,
    StaticReadOnlyRoot::kmaximumFractionDigits_string,
    StaticReadOnlyRoot::kmaximumSignificantDigits_string,
    StaticReadOnlyRoot::kmicrosecondsDisplay_string,
    StaticReadOnlyRoot::kmillisecondsDisplay_string,
    StaticReadOnlyRoot::kmin2_string,
    StaticReadOnlyRoot::kminimalDays_string,
    StaticReadOnlyRoot::kminimumFractionDigits_string,
    StaticReadOnlyRoot::kminimumIntegerDigits_string,
    StaticReadOnlyRoot::kminimumSignificantDigits_string,
    StaticReadOnlyRoot::kminus_0,
    StaticReadOnlyRoot::kminusSign_string,
    StaticReadOnlyRoot::kminutesDisplay_string,
    StaticReadOnlyRoot::kmonthsDisplay_string,
    StaticReadOnlyRoot::kmorePrecision_string,
    StaticReadOnlyRoot::knan_string,
    StaticReadOnlyRoot::knanosecondsDisplay_string,
    StaticReadOnlyRoot::knarrowSymbol_string,
    StaticReadOnlyRoot::knegative_string,
    StaticReadOnlyRoot::knever_string,
    StaticReadOnlyRoot::knone_string,
    StaticReadOnlyRoot::knotation_string,
    StaticReadOnlyRoot::knormal_string,
    StaticReadOnlyRoot::knumberingSystem_string,
    StaticReadOnlyRoot::knumberingSystems_string,
    StaticReadOnlyRoot::knumeric_string,
    StaticReadOnlyRoot::kordinal_string,
    StaticReadOnlyRoot::kpercentSign_string,
    StaticReadOnlyRoot::kplusSign_string,
    StaticReadOnlyRoot::kquarter_string,
    StaticReadOnlyRoot::kregion_string,
    StaticReadOnlyRoot::krelatedYear_string,
    StaticReadOnlyRoot::kroundingMode_string,
    StaticReadOnlyRoot::kroundingPriority_string,
    StaticReadOnlyRoot::krtl_string,
    StaticReadOnlyRoot::kscientific_string,
    StaticReadOnlyRoot::ksecondsDisplay_string,
    StaticReadOnlyRoot::ksegment_string,
    StaticReadOnlyRoot::kSegmentIterator_string,
    StaticReadOnlyRoot::kSegments_string,
    StaticReadOnlyRoot::ksensitivity_string,
    StaticReadOnlyRoot::ksep_string,
    StaticReadOnlyRoot::kshared_string,
    StaticReadOnlyRoot::ksignDisplay_string,
    StaticReadOnlyRoot::kstandard_string,
    StaticReadOnlyRoot::kstartRange_string,
    StaticReadOnlyRoot::kstrict_string,
    StaticReadOnlyRoot::kstripIfInteger_string,
    StaticReadOnlyRoot::kstyle_string,
    StaticReadOnlyRoot::kterm_string,
    StaticReadOnlyRoot::ktextInfo_string,
    StaticReadOnlyRoot::ktimeStyle_string,
    StaticReadOnlyRoot::ktimeZones_string,
    StaticReadOnlyRoot::ktimeZoneName_string,
    StaticReadOnlyRoot::ktrailingZeroDisplay_string,
    StaticReadOnlyRoot::ktrunc_string,
    StaticReadOnlyRoot::ktwo_digit_string,
    StaticReadOnlyRoot::ktype_string,
    StaticReadOnlyRoot::kunknown_string,
    StaticReadOnlyRoot::kupper_string,
    StaticReadOnlyRoot::kusage_string,
    StaticReadOnlyRoot::kuseGrouping_string,
    StaticReadOnlyRoot::kunitDisplay_string,
    StaticReadOnlyRoot::kweekday_string,
    StaticReadOnlyRoot::kweekend_string,
    StaticReadOnlyRoot::kweeksDisplay_string,
    StaticReadOnlyRoot::kweekInfo_string,
    StaticReadOnlyRoot::kyearName_string,
    StaticReadOnlyRoot::kyearsDisplay_string,
    StaticReadOnlyRoot::kadd_string,
    StaticReadOnlyRoot::kAggregateError_string,
    StaticReadOnlyRoot::kalways_string,
    StaticReadOnlyRoot::kanonymous_function_string,
    StaticReadOnlyRoot::kanonymous_string,
    StaticReadOnlyRoot::kapply_string,
    StaticReadOnlyRoot::kArguments_string,
    StaticReadOnlyRoot::karguments_string,
    StaticReadOnlyRoot::karguments_to_string,
    StaticReadOnlyRoot::kArray_string,
    StaticReadOnlyRoot::karray_to_string,
    StaticReadOnlyRoot::kArrayBuffer_string,
    StaticReadOnlyRoot::kArrayIterator_string,
    StaticReadOnlyRoot::kas_string,
    StaticReadOnlyRoot::kassert_string,
    StaticReadOnlyRoot::kasync_string,
    StaticReadOnlyRoot::kAtomicsCondition_string,
    StaticReadOnlyRoot::kAtomicsMutex_string,
    StaticReadOnlyRoot::kauto_string,
    StaticReadOnlyRoot::kawait_string,
    StaticReadOnlyRoot::kBigInt_string,
    StaticReadOnlyRoot::kbigint_string,
    StaticReadOnlyRoot::kBigInt64Array_string,
    StaticReadOnlyRoot::kBigUint64Array_string,
    StaticReadOnlyRoot::kbind_string,
    StaticReadOnlyRoot::kblank_string,
    StaticReadOnlyRoot::kBoolean_string,
    StaticReadOnlyRoot::kboolean_string,
    StaticReadOnlyRoot::kboolean_to_string,
    StaticReadOnlyRoot::kbound__string,
    StaticReadOnlyRoot::kbuffer_string,
    StaticReadOnlyRoot::kbyte_length_string,
    StaticReadOnlyRoot::kbyte_offset_string,
    StaticReadOnlyRoot::kCompileError_string,
    StaticReadOnlyRoot::kcalendar_string,
    StaticReadOnlyRoot::kcallee_string,
    StaticReadOnlyRoot::kcaller_string,
    StaticReadOnlyRoot::kcause_string,
    StaticReadOnlyRoot::kcharacter_string,
    StaticReadOnlyRoot::kclosure_string,
    StaticReadOnlyRoot::kcode_string,
    StaticReadOnlyRoot::kcolumn_string,
    StaticReadOnlyRoot::kcomputed_string,
    StaticReadOnlyRoot::kconjunction_string,
    StaticReadOnlyRoot::kconsole_string,
    StaticReadOnlyRoot::kconstrain_string,
    StaticReadOnlyRoot::kconstruct_string,
    StaticReadOnlyRoot::kcurrent_string,
    StaticReadOnlyRoot::kDate_string,
    StaticReadOnlyRoot::kdate_to_string,
    StaticReadOnlyRoot::kdateAdd_string,
    StaticReadOnlyRoot::kdateFromFields_string,
    StaticReadOnlyRoot::kdateUntil_string,
    StaticReadOnlyRoot::kday_string,
    StaticReadOnlyRoot::kdayOfWeek_string,
    StaticReadOnlyRoot::kdayOfYear_string,
    StaticReadOnlyRoot::kdays_string,
    StaticReadOnlyRoot::kdaysInMonth_string,
    StaticReadOnlyRoot::kdaysInWeek_string,
    StaticReadOnlyRoot::kdaysInYear_string,
    StaticReadOnlyRoot::kdefault_string,
    StaticReadOnlyRoot::kdefineProperty_string,
    StaticReadOnlyRoot::kdeleteProperty_string,
    StaticReadOnlyRoot::kdetached_string,
    StaticReadOnlyRoot::kdisjunction_string,
    StaticReadOnlyRoot::kdone_string,
    StaticReadOnlyRoot::kdot_brand_string,
    StaticReadOnlyRoot::kdot_catch_string,
    StaticReadOnlyRoot::kdot_default_string,
    StaticReadOnlyRoot::kdot_for_string,
    StaticReadOnlyRoot::kdot_generator_object_string,
    StaticReadOnlyRoot::kdot_home_object_string,
    StaticReadOnlyRoot::kdot_new_target_string,
    StaticReadOnlyRoot::kdot_result_string,
    StaticReadOnlyRoot::kdot_repl_result_string,
    StaticReadOnlyRoot::kdot_static_home_object_string,
    StaticReadOnlyRoot::kdot_string,
    StaticReadOnlyRoot::kdot_switch_tag_string,
    StaticReadOnlyRoot::kdotAll_string,
    StaticReadOnlyRoot::kError_string,
    StaticReadOnlyRoot::kEvalError_string,
    StaticReadOnlyRoot::kelement_string,
    StaticReadOnlyRoot::kepochMicroseconds_string,
    StaticReadOnlyRoot::kepochMilliseconds_string,
    StaticReadOnlyRoot::kepochNanoseconds_string,
    StaticReadOnlyRoot::kepochSeconds_string,
    StaticReadOnlyRoot::kera_string,
    StaticReadOnlyRoot::keraYear_string,
    StaticReadOnlyRoot::kerrors_string,
    StaticReadOnlyRoot::kerror_to_string,
    StaticReadOnlyRoot::keval_string,
    StaticReadOnlyRoot::kexception_string,
    StaticReadOnlyRoot::kexec_string,
    StaticReadOnlyRoot::kfalse_string,
    StaticReadOnlyRoot::kfields_string,
    StaticReadOnlyRoot::kFinalizationRegistry_string,
    StaticReadOnlyRoot::kflags_string,
    StaticReadOnlyRoot::kFloat32Array_string,
    StaticReadOnlyRoot::kFloat64Array_string,
    StaticReadOnlyRoot::kfractionalSecondDigits_string,
    StaticReadOnlyRoot::kfrom_string,
    StaticReadOnlyRoot::kFunction_string,
    StaticReadOnlyRoot::kfunction_native_code_string,
    StaticReadOnlyRoot::kfunction_string,
    StaticReadOnlyRoot::kfunction_to_string,
    StaticReadOnlyRoot::kGenerator_string,
    StaticReadOnlyRoot::kget_space_string,
    StaticReadOnlyRoot::kget_string,
    StaticReadOnlyRoot::kgetOffsetNanosecondsFor_string,
    StaticReadOnlyRoot::kgetOwnPropertyDescriptor_string,
    StaticReadOnlyRoot::kgetPossibleInstantsFor_string,
    StaticReadOnlyRoot::kgetPrototypeOf_string,
    StaticReadOnlyRoot::kglobal_string,
    StaticReadOnlyRoot::kglobalThis_string,
    StaticReadOnlyRoot::kgroups_string,
    StaticReadOnlyRoot::kgrowable_string,
    StaticReadOnlyRoot::khas_string,
    StaticReadOnlyRoot::khasIndices_string,
    StaticReadOnlyRoot::khour_string,
    StaticReadOnlyRoot::khours_string,
    StaticReadOnlyRoot::khoursInDay_string,
    StaticReadOnlyRoot::kignoreCase_string,
    StaticReadOnlyRoot::kid_string,
    StaticReadOnlyRoot::killegal_access_string,
    StaticReadOnlyRoot::killegal_argument_string,
    StaticReadOnlyRoot::kinLeapYear_string,
    StaticReadOnlyRoot::kindex_string,
    StaticReadOnlyRoot::kindices_string,
    StaticReadOnlyRoot::kInfinity_string,
    StaticReadOnlyRoot::kinfinity_string,
    StaticReadOnlyRoot::kinput_string,
    StaticReadOnlyRoot::kInt16Array_string,
    StaticReadOnlyRoot::kInt32Array_string,
    StaticReadOnlyRoot::kInt8Array_string,
    StaticReadOnlyRoot::kisExtensible_string,
    StaticReadOnlyRoot::kiso8601_string,
    StaticReadOnlyRoot::kisoDay_string,
    StaticReadOnlyRoot::kisoHour_string,
    StaticReadOnlyRoot::kisoMicrosecond_string,
    StaticReadOnlyRoot::kisoMillisecond_string,
    StaticReadOnlyRoot::kisoMinute_string,
    StaticReadOnlyRoot::kisoMonth_string,
    StaticReadOnlyRoot::kisoNanosecond_string,
    StaticReadOnlyRoot::kisoSecond_string,
    StaticReadOnlyRoot::kisoYear_string,
    StaticReadOnlyRoot::kjsMemoryEstimate_string,
    StaticReadOnlyRoot::kjsMemoryRange_string,
    StaticReadOnlyRoot::kkeys_string,
    StaticReadOnlyRoot::klargestUnit_string,
    StaticReadOnlyRoot::klastIndex_string,
    StaticReadOnlyRoot::klet_string,
    StaticReadOnlyRoot::kline_string,
    StaticReadOnlyRoot::klinear_string,
    StaticReadOnlyRoot::kLinkError_string,
    StaticReadOnlyRoot::klong_string,
    StaticReadOnlyRoot::kMap_string,
    StaticReadOnlyRoot::kMapIterator_string,
    StaticReadOnlyRoot::kmax_byte_length_string,
    StaticReadOnlyRoot::kmedium_string,
    StaticReadOnlyRoot::kmergeFields_string,
    StaticReadOnlyRoot::kmessage_string,
    StaticReadOnlyRoot::kmeta_string,
    StaticReadOnlyRoot::kminus_Infinity_string,
    StaticReadOnlyRoot::kmicrosecond_string,
    StaticReadOnlyRoot::kmicroseconds_string,
    StaticReadOnlyRoot::kmillisecond_string,
    StaticReadOnlyRoot::kmilliseconds_string,
    StaticReadOnlyRoot::kminute_string,
    StaticReadOnlyRoot::kminutes_string,
    StaticReadOnlyRoot::kModule_string,
    StaticReadOnlyRoot::kmonth_string,
    StaticReadOnlyRoot::kmonthDayFromFields_string,
    StaticReadOnlyRoot::kmonths_string,
    StaticReadOnlyRoot::kmonthsInYear_string,
    StaticReadOnlyRoot::kmonthCode_string,
    StaticReadOnlyRoot::kmultiline_string,
    StaticReadOnlyRoot::kNaN_string,
    StaticReadOnlyRoot::knanosecond_string,
    StaticReadOnlyRoot::knanoseconds_string,
    StaticReadOnlyRoot::knarrow_string,
    StaticReadOnlyRoot::knative_string,
    StaticReadOnlyRoot::knew_target_string,
    StaticReadOnlyRoot::kNFC_string,
    StaticReadOnlyRoot::kNFD_string,
    StaticReadOnlyRoot::kNFKC_string,
    StaticReadOnlyRoot::kNFKD_string,
    StaticReadOnlyRoot::knot_equal_string,
    StaticReadOnlyRoot::knull_string,
    StaticReadOnlyRoot::knull_to_string,
    StaticReadOnlyRoot::kNumber_string,
    StaticReadOnlyRoot::knumber_string,
    StaticReadOnlyRoot::knumber_to_string,
    StaticReadOnlyRoot::kObject_string,
    StaticReadOnlyRoot::kobject_string,
    StaticReadOnlyRoot::kobject_to_string,
    StaticReadOnlyRoot::kObject_prototype_string,
    StaticReadOnlyRoot::kof_string,
    StaticReadOnlyRoot::koffset_string,
    StaticReadOnlyRoot::koffsetNanoseconds_string,
    StaticReadOnlyRoot::kok_string,
    StaticReadOnlyRoot::kone_string,
    StaticReadOnlyRoot::kother_string,
    StaticReadOnlyRoot::koverflow_string,
    StaticReadOnlyRoot::kownKeys_string,
    StaticReadOnlyRoot::kpercent_string,
    StaticReadOnlyRoot::kplainDate_string,
    StaticReadOnlyRoot::kplainTime_string,
    StaticReadOnlyRoot::kposition_string,
    StaticReadOnlyRoot::kpreventExtensions_string,
    StaticReadOnlyRoot::kprivate_constructor_string,
    StaticReadOnlyRoot::kPromise_string,
    StaticReadOnlyRoot::kproto_string,
    StaticReadOnlyRoot::kproxy_string,
    StaticReadOnlyRoot::kProxy_string,
    StaticReadOnlyRoot::kquery_colon_string,
    StaticReadOnlyRoot::kRangeError_string,
    StaticReadOnlyRoot::kraw_json_string,
    StaticReadOnlyRoot::kraw_string,
    StaticReadOnlyRoot::kReferenceError_string,
    StaticReadOnlyRoot::kReflectGet_string,
    StaticReadOnlyRoot::kReflectHas_string,
    StaticReadOnlyRoot::kRegExp_string,
    StaticReadOnlyRoot::kregexp_to_string,
    StaticReadOnlyRoot::kreject_string,
    StaticReadOnlyRoot::krelativeTo_string,
    StaticReadOnlyRoot::kresizable_string,
    StaticReadOnlyRoot::kResizableArrayBuffer_string,
    StaticReadOnlyRoot::kreturn_string,
    StaticReadOnlyRoot::krevoke_string,
    StaticReadOnlyRoot::kroundingIncrement_string,
    StaticReadOnlyRoot::kRuntimeError_string,
    StaticReadOnlyRoot::kWebAssemblyException_string,
    StaticReadOnlyRoot::kScript_string,
    StaticReadOnlyRoot::kscript_string,
    StaticReadOnlyRoot::ksecond_string,
    StaticReadOnlyRoot::kseconds_string,
    StaticReadOnlyRoot::kshort_string,
    StaticReadOnlyRoot::kSet_string,
    StaticReadOnlyRoot::ksentence_string,
    StaticReadOnlyRoot::kset_space_string,
    StaticReadOnlyRoot::kset_string,
    StaticReadOnlyRoot::kSetIterator_string,
    StaticReadOnlyRoot::ksetPrototypeOf_string,
    StaticReadOnlyRoot::kShadowRealm_string,
    StaticReadOnlyRoot::kSharedArray_string,
    StaticReadOnlyRoot::kSharedArrayBuffer_string,
    StaticReadOnlyRoot::kSharedStruct_string,
    StaticReadOnlyRoot::ksign_string,
    StaticReadOnlyRoot::ksize_string,
    StaticReadOnlyRoot::ksmallestUnit_string,
    StaticReadOnlyRoot::ksource_string,
    StaticReadOnlyRoot::ksourceText_string,
    StaticReadOnlyRoot::kstack_string,
    StaticReadOnlyRoot::kstackTraceLimit_string,
    StaticReadOnlyRoot::ksticky_string,
    StaticReadOnlyRoot::kString_string,
    StaticReadOnlyRoot::kstring_string,
    StaticReadOnlyRoot::kstring_to_string,
    StaticReadOnlyRoot::kSymbol_iterator_string,
    StaticReadOnlyRoot::kSymbol_match_all_string,
    StaticReadOnlyRoot::kSymbol_replace_string,
    StaticReadOnlyRoot::ksymbol_species_string,
    StaticReadOnlyRoot::kSymbol_species_string,
    StaticReadOnlyRoot::kSymbol_split_string,
    StaticReadOnlyRoot::kSymbol_string,
    StaticReadOnlyRoot::ksymbol_string,
    StaticReadOnlyRoot::kSyntaxError_string,
    StaticReadOnlyRoot::ktarget_string,
    StaticReadOnlyRoot::kthis_function_string,
    StaticReadOnlyRoot::kthis_string,
    StaticReadOnlyRoot::kthrow_string,
    StaticReadOnlyRoot::ktimed_out_string,
    StaticReadOnlyRoot::ktimeZone_string,
    StaticReadOnlyRoot::ktoJSON_string,
    StaticReadOnlyRoot::ktoString_string,
    StaticReadOnlyRoot::ktrue_string,
    StaticReadOnlyRoot::ktotal_string,
    StaticReadOnlyRoot::kTypeError_string,
    StaticReadOnlyRoot::kUint16Array_string,
    StaticReadOnlyRoot::kUint32Array_string,
    StaticReadOnlyRoot::kUint8Array_string,
    StaticReadOnlyRoot::kUint8ClampedArray_string,
    StaticReadOnlyRoot::kundefined_string,
    StaticReadOnlyRoot::kundefined_to_string,
    StaticReadOnlyRoot::kunicode_string,
    StaticReadOnlyRoot::kunicodeSets_string,
    StaticReadOnlyRoot::kunit_string,
    StaticReadOnlyRoot::kURIError_string,
    StaticReadOnlyRoot::kUTC_string,
    StaticReadOnlyRoot::kvalueOf_string,
    StaticReadOnlyRoot::kWeakMap_string,
    StaticReadOnlyRoot::kWeakRef_string,
    StaticReadOnlyRoot::kWeakSet_string,
    StaticReadOnlyRoot::kweek_string,
    StaticReadOnlyRoot::kweeks_string,
    StaticReadOnlyRoot::kweekOfYear_string,
    StaticReadOnlyRoot::kword_string,
    StaticReadOnlyRoot::kyearMonthFromFields_string,
    StaticReadOnlyRoot::kyear_string,
    StaticReadOnlyRoot::kyears_string,
    StaticReadOnlyRoot::kzero_string,
    StaticReadOnlyRoot::knot_mapped_symbol,
    StaticReadOnlyRoot::kuninitialized_symbol,
    StaticReadOnlyRoot::kmegamorphic_symbol,
    StaticReadOnlyRoot::kelements_transition_symbol,
    StaticReadOnlyRoot::kmega_dom_symbol,
    StaticReadOnlyRoot::karray_buffer_wasm_memory_symbol,
    StaticReadOnlyRoot::kcall_site_info_symbol,
    StaticReadOnlyRoot::kconsole_context_id_symbol,
    StaticReadOnlyRoot::kconsole_context_name_symbol,
    StaticReadOnlyRoot::kclass_fields_symbol,
    StaticReadOnlyRoot::kclass_positions_symbol,
    StaticReadOnlyRoot::kerror_end_pos_symbol,
    StaticReadOnlyRoot::kerror_script_symbol,
    StaticReadOnlyRoot::kerror_stack_symbol,
    StaticReadOnlyRoot::kerror_start_pos_symbol,
    StaticReadOnlyRoot::kfrozen_symbol,
    StaticReadOnlyRoot::kinterpreter_trampoline_symbol,
    StaticReadOnlyRoot::knative_context_index_symbol,
    StaticReadOnlyRoot::knonextensible_symbol,
    StaticReadOnlyRoot::kpromise_debug_marker_symbol,
    StaticReadOnlyRoot::kpromise_debug_message_symbol,
    StaticReadOnlyRoot::kpromise_forwarding_handler_symbol,
    StaticReadOnlyRoot::kpromise_handled_by_symbol,
    StaticReadOnlyRoot::kpromise_awaited_by_symbol,
    StaticReadOnlyRoot::kregexp_result_names_symbol,
    StaticReadOnlyRoot::kregexp_result_regexp_input_symbol,
    StaticReadOnlyRoot::kregexp_result_regexp_last_index_symbol,
    StaticReadOnlyRoot::ksealed_symbol,
    StaticReadOnlyRoot::kstrict_function_transition_symbol,
    StaticReadOnlyRoot::ktemplate_literal_function_literal_id_symbol,
    StaticReadOnlyRoot::ktemplate_literal_slot_id_symbol,
    StaticReadOnlyRoot::kwasm_exception_tag_symbol,
    StaticReadOnlyRoot::kwasm_exception_values_symbol,
    StaticReadOnlyRoot::kwasm_uncatchable_symbol,
    StaticReadOnlyRoot::kwasm_wrapped_object_symbol,
    StaticReadOnlyRoot::kwasm_debug_proxy_cache_symbol,
    StaticReadOnlyRoot::kwasm_debug_proxy_names_symbol,
    StaticReadOnlyRoot::kasync_iterator_symbol,
    StaticReadOnlyRoot::kintl_fallback_symbol,
    StaticReadOnlyRoot::kmatch_symbol,
    StaticReadOnlyRoot::ksearch_symbol,
    StaticReadOnlyRoot::kto_primitive_symbol,
    StaticReadOnlyRoot::kunscopables_symbol,
    StaticReadOnlyRoot::khas_instance_symbol,
    StaticReadOnlyRoot::kto_string_tag_symbol,
    StaticReadOnlyRoot::kPromiseFulfillReactionJobTaskMap,
    StaticReadOnlyRoot::kPromiseRejectReactionJobTaskMap,
    StaticReadOnlyRoot::kCallableTaskMap,
    StaticReadOnlyRoot::kCallbackTaskMap,
    StaticReadOnlyRoot::kPromiseResolveThenableJobTaskMap,
    StaticReadOnlyRoot::kFunctionTemplateInfoMap,
    StaticReadOnlyRoot::kObjectTemplateInfoMap,
    StaticReadOnlyRoot::kAccessCheckInfoMap,
    StaticReadOnlyRoot::kAccessorPairMap,
    StaticReadOnlyRoot::kAliasedArgumentsEntryMap,
    StaticReadOnlyRoot::kAllocationMementoMap,
    StaticReadOnlyRoot::kArrayBoilerplateDescriptionMap,
    StaticReadOnlyRoot::kAsmWasmDataMap,
    StaticReadOnlyRoot::kAsyncGeneratorRequestMap,
    StaticReadOnlyRoot::kBreakPointMap,
    StaticReadOnlyRoot::kBreakPointInfoMap,
    StaticReadOnlyRoot::kCallSiteInfoMap,
    StaticReadOnlyRoot::kClassPositionsMap,
    StaticReadOnlyRoot::kDebugInfoMap,
    StaticReadOnlyRoot::kEnumCacheMap,
    StaticReadOnlyRoot::kErrorStackDataMap,
    StaticReadOnlyRoot::kFunctionTemplateRareDataMap,
    StaticReadOnlyRoot::kInterceptorInfoMap,
    StaticReadOnlyRoot::kInterpreterDataMap,
    StaticReadOnlyRoot::kModuleRequestMap,
    StaticReadOnlyRoot::kPromiseCapabilityMap,
    StaticReadOnlyRoot::kPromiseOnStackMap,
    StaticReadOnlyRoot::kPromiseReactionMap,
    StaticReadOnlyRoot::kPropertyDescriptorObjectMap,
    StaticReadOnlyRoot::kPrototypeInfoMap,
    StaticReadOnlyRoot::kRegExpBoilerplateDescriptionMap,
    StaticReadOnlyRoot::kScriptMap,
    StaticReadOnlyRoot::kScriptOrModuleMap,
    StaticReadOnlyRoot::kSourceTextModuleInfoEntryMap,
    StaticReadOnlyRoot::kStackFrameInfoMap,
    StaticReadOnlyRoot::kTemplateObjectDescriptionMap,
    StaticReadOnlyRoot::kTuple2Map,
    StaticReadOnlyRoot::kWasmExceptionTagMap,
    StaticReadOnlyRoot::kWasmIndirectFunctionTableMap,
    StaticReadOnlyRoot::kSloppyArgumentsElementsMap,
    StaticReadOnlyRoot::kDescriptorArrayMap,
    StaticReadOnlyRoot::kStrongDescriptorArrayMap,
    StaticReadOnlyRoot::kUncompiledDataWithoutPreparseDataMap,
    StaticReadOnlyRoot::kUncompiledDataWithPreparseDataMap,
    StaticReadOnlyRoot::kUncompiledDataWithoutPreparseDataWithJobMap,
    StaticReadOnlyRoot::kUncompiledDataWithPreparseDataAndJobMap,
    StaticReadOnlyRoot::kOnHeapBasicBlockProfilerDataMap,
    StaticReadOnlyRoot::kTurbofanBitsetTypeMap,
    StaticReadOnlyRoot::kTurbofanUnionTypeMap,
    StaticReadOnlyRoot::kTurbofanRangeTypeMap,
    StaticReadOnlyRoot::kTurbofanHeapConstantTypeMap,
    StaticReadOnlyRoot::kTurbofanOtherNumberConstantTypeMap,
    StaticReadOnlyRoot::kTurboshaftWord32TypeMap,
    StaticReadOnlyRoot::kTurboshaftWord32RangeTypeMap,
    StaticReadOnlyRoot::kTurboshaftWord32SetTypeMap,
    StaticReadOnlyRoot::kTurboshaftWord64TypeMap,
    StaticReadOnlyRoot::kTurboshaftWord64RangeTypeMap,
    StaticReadOnlyRoot::kTurboshaftWord64SetTypeMap,
    StaticReadOnlyRoot::kTurboshaftFloat64TypeMap,
    StaticReadOnlyRoot::kTurboshaftFloat64RangeTypeMap,
    StaticReadOnlyRoot::kTurboshaftFloat64SetTypeMap,
    StaticReadOnlyRoot::kInternalClassMap,
    StaticReadOnlyRoot::kSmiPairMap,
    StaticReadOnlyRoot::kSmiBoxMap,
    StaticReadOnlyRoot::kExportedSubClassBaseMap,
    StaticReadOnlyRoot::kExportedSubClassMap,
    StaticReadOnlyRoot::kAbstractInternalClassSubclass1Map,
    StaticReadOnlyRoot::kAbstractInternalClassSubclass2Map,
    StaticReadOnlyRoot::kInternalClassWithSmiElementsMap,
    StaticReadOnlyRoot::kInternalClassWithStructElementsMap,
    StaticReadOnlyRoot::kExportedSubClass2Map,
    StaticReadOnlyRoot::kSortStateMap,
    StaticReadOnlyRoot::kWasmStringViewIterMap,
    StaticReadOnlyRoot::kAllocationSiteWithWeakNextMap,
    StaticReadOnlyRoot::kAllocationSiteWithoutWeakNextMap,
    StaticReadOnlyRoot::kconstructor_string,
    StaticReadOnlyRoot::knext_string,
    StaticReadOnlyRoot::kresolve_string,
    StaticReadOnlyRoot::kthen_string,
    StaticReadOnlyRoot::kiterator_symbol,
    StaticReadOnlyRoot::kmatch_all_symbol,
    StaticReadOnlyRoot::kreplace_symbol,
    StaticReadOnlyRoot::kspecies_symbol,
    StaticReadOnlyRoot::ksplit_symbol,
    StaticReadOnlyRoot::kis_concat_spreadable_symbol,
    StaticReadOnlyRoot::kLoadHandler1Map,
    StaticReadOnlyRoot::kLoadHandler2Map,
    StaticReadOnlyRoot::kLoadHandler3Map,
    StaticReadOnlyRoot::kStoreHandler0Map,
    StaticReadOnlyRoot::kStoreHandler1Map,
    StaticReadOnlyRoot::kStoreHandler2Map,
    StaticReadOnlyRoot::kStoreHandler3Map,
};

}  // namespace internal
}  // namespace v8
#endif  // V8_STATIC_ROOTS_BOOL
#endif  // V8_ROOTS_STATIC_ROOTS_H_
